REST API Reference
The Life API is HTTP REST interface to the Fulcra Data Platform that Context and other integrations are built on. Fulcra is still an early stage product and we strive to keep stable interfaces, though some API definitions may be subject change and deprecation. We recommend using the Fulcra Python SDK or the Fulcra CLI to interact with the Life API.
Authentication
API requests are authenticated via OAuth 2.0 bearer tokens. The Fulcra CLI provides an easy way to authenticate and update access tokens for use with curl and other clients.
curl --oauth2-bearer $( fulcra auth print-access-token) \
https://api.fulcradynamics.com/user/v1alpha1/info
Data Queries
GET /data/v0/metrics_catalog
Returns a list of Fulcra Metrics that can be queried.
Responses
Examples
Request Example
curl --request GET \
--url https://api.fulcradynamics.com/data/v0/metrics_catalog \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
[
{
"description" : "string" ,
"is_time_series" : false ,
"metric_kind" : "string" ,
"name" : "string" ,
"unit" : "string" ,
"value_column" : "string"
}
]
GET /data/v0/time_series_grouped
Allows users to retrieve their data in a normalized time series.
Request
Parameters
Name
In
Type
Required
Description
start_time
query
string(date-time)
true
The starting timestamp (inclusive) in ISO 8601 format
end_time
query
string(date-time)
true
The ending timestamp (exclusive) in ISO 8601 format
metrics
query
array[string]
true
The list of metric names to include.
output
query
OutputMethod
true
The output format to generate.
fulcra_userid
query
any
false
The user ID to retrieve data for.
samprate
query
number
false
The sample rate in seconds.
replace_nulls
query
any
false
Set to 1 to replace all unavailable values with the value 0.
Enumerated Values
Parameter
Value
output
ndjson
output
jstable
output
jscolumns
output
arrow
output
arrowraw
output
parquet
output
csv
output
quotecsv
Responses
Examples
Request Example
curl --request GET \
--url 'https://api.fulcradynamics.com/data/v0/time_series_grouped?start_time=2023-02-01%2000%3A00%3A00Z&end_time=2023-02-03%2000%3A00%3A00Z&metrics=HeartRate&output=ndjson' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
GET /data/v0/{fulcra_userid}/apple_location_updates
Retrieve the raw Apple location update samples for the specified
user during the specified period of time.
Request
Parameters
Name
In
Type
Required
Description
fulcra_userid
path
string(uuid)
true
none
start_time
query
string(date-time)
true
The starting timestamp in ISO 8601 format (inclusive)
end_time
query
string(date-time)
true
The ending timestamp in ISO 8601 format (exclusive)
Responses
Examples
Request Example
curl --request GET \
--url 'https://api.fulcradynamics.com/data/v0/497f6eca-6276-4993-bfeb-53cbbbba6f08/apple_location_updates?start_time=2023-02-01%2000%3A00%3A00Z&end_time=2023-02-03%2000%3A00%3A00Z' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
GET /data/v0/{fulcra_userid}/apple_location_visits
Retrieve the raw Apple location visit samples for the specified
user during the specified period of time.
Request
Parameters
Name
In
Type
Required
Description
fulcra_userid
path
string(uuid)
true
none
start_time
query
string(date-time)
true
The starting timestamp in ISO 8601 format (inclusive)
end_time
query
string(date-time)
true
The ending timestamp in ISO 8601 format (exclusive)
Responses
Examples
Request Example
curl --request GET \
--url 'https://api.fulcradynamics.com/data/v0/497f6eca-6276-4993-bfeb-53cbbbba6f08/apple_location_visits?start_time=2023-02-01%2000%3A00%3A00Z&end_time=2023-02-03%2000%3A00%3A00Z' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
GET /data/v0/{fulcra_userid}/apple_workouts
Retrieve the Apple workouts that occurred for the user during the specified
period of time.
Request
Parameters
Name
In
Type
Required
Description
fulcra_userid
path
string(uuid)
true
none
start_time
query
string(date-time)
true
The starting timestamp in ISO 8601 format (inclusive)
end_time
query
string(date-time)
true
The ending timestamp in ISO 8601 format (exclusive)
Responses
Examples
Request Example
curl --request GET \
--url 'https://api.fulcradynamics.com/data/v0/497f6eca-6276-4993-bfeb-53cbbbba6f08/apple_workouts?start_time=2023-02-01%2000%3A00%3A00Z&end_time=2023-02-03%2000%3A00%3A00Z' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
[
{
"all_statistics" : {},
"apple_workout_id" : "17d1ac31-161c-41b7-bb0c-8c7db70b55d8" ,
"device" : {},
"duration" : 0 ,
"end_date" : "2019-08-24T14:15:22Z" ,
"extras" : {},
"has_undetermined_duration" : true ,
"source_revision" : {},
"start_date" : "2019-08-24T14:15:22Z" ,
"workout_activities" : [
{}
],
"workout_activity_type" : "The type of workout." ,
"workout_events" : [
{}
]
}
]
GET /data/v0/{fulcra_userid}/calendar_events
Returns calendar events for a user.
Request
Parameters
Name
In
Type
Required
Description
fulcra_userid
path
string(uuid)
true
none
start_time
query
string(date-time)
true
The starting timestamp in ISO 8601 format (inclusive)
end_time
query
string(date-time)
true
The ending timestamp in ISO 8601 format (exclusive)
calendar_ids
query
any
false
A list of IDs of calendars to search. Only results from these calendars will be returned.
Responses
Examples
Request Example
curl --request GET \
--url 'https://api.fulcradynamics.com/data/v0/497f6eca-6276-4993-bfeb-53cbbbba6f08/calendar_events?start_time=2023-02-01%2000%3A00%3A00Z&end_time=2023-02-03%2000%3A00%3A00Z' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
[
{
"allow_new_time_proposals" : true ,
"availability" : "string" ,
"calendar_event_id" : "7fe777b6-1e25-45fe-a4a1-3723b5fd440f" ,
"calendar_id" : "c828ce68-4c5a-4491-b76a-af3d888d3f97" ,
"calendar_item_external_identifier" : "string" ,
"calendar_item_identifier" : "string" ,
"creation_date" : "2019-08-24T14:15:22Z" ,
"end_date" : "2019-08-24T14:15:22Z" ,
"event_identifier" : "string" ,
"extras" : {},
"geolocation" : {
"altitude" : 0 ,
"ellipsoidal_altitude" : 0 ,
"floor" : 0 ,
"horizontal_accuracy" : 0 ,
"is_produced_by_accessory" : true ,
"is_simulated_by_software" : true ,
"latitude" : 0 ,
"location_timestamp" : "2019-08-24T14:15:22Z" ,
"longitude" : 0 ,
"radius" : 0 ,
"title" : "string" ,
"vertical_accuracy" : 0
},
"has_alarms" : true ,
"has_attendees" : true ,
"has_notes" : true ,
"has_recurrence_rules" : true ,
"is_all_day" : true ,
"is_detached" : true ,
"last_modified_date" : "2019-08-24T14:15:22Z" ,
"location" : "string" ,
"notes" : "string" ,
"occurrence_date" : "2019-08-24T14:15:22Z" ,
"organizer" : "e28f9b28-e5bc-4a12-aafc-96f3301f7fe0" ,
"participants" : [
{
"contact_id" : "f245e2a3-e141-4d41-912c-b1c1f5bd5598" ,
"is_current_user" : true ,
"name" : "string" ,
"participant_role" : "string" ,
"participant_status" : "string" ,
"participant_type" : "string" ,
"url" : "string"
}
],
"recurrence_rules" : [
{
"calendar_id" : "c828ce68-4c5a-4491-b76a-af3d888d3f97" ,
"days_of_the_month" : [
null
],
"days_of_the_week" : [
null
],
"days_of_the_year" : [
null
],
"first_day_of_the_week" : 0 ,
"frequency" : "string" ,
"interval" : 0 ,
"months_of_the_year" : [
null
],
"recurrence_rule_id" : "ff66070e-89d9-4007-ac1d-92d2556a9349" ,
"set_positions" : [
null
],
"weeks_of_the_year" : [
null
]
}
],
"start_date" : "2019-08-24T14:15:22Z" ,
"status" : "string" ,
"time_zone" : "string" ,
"title" : "string" ,
"url" : "string"
}
]
GET /data/v0/{fulcra_userid}/calendars
Retrieve a collection of the user's calendars.
Request
Parameters
Name
In
Type
Required
Description
fulcra_userid
path
string(uuid)
true
none
vendor_ids
query
any
false
A list of identifiers (calendar_identifier) of calendars to search. Only results from these calendars will be returned.
Responses
Examples
Request Example
curl --request GET \
--url https://api.fulcradynamics.com/data/v0/497f6eca-6276-4993-bfeb-53cbbbba6f08/calendars \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
[
{
"calendar_color" : "string" ,
"calendar_id" : "c828ce68-4c5a-4491-b76a-af3d888d3f97" ,
"calendar_identifier" : "string" ,
"calendar_name" : "string" ,
"calendar_source_id" : "string" ,
"calendar_source_name" : "string" ,
"calendar_type" : "string" ,
"color" : "Calendar Color" ,
"fulcra_source" : "string" ,
"inserted_at" : "2019-08-24T14:15:22Z" ,
"is_immutable" : true ,
"is_subscribed" : true ,
"source_type" : "string"
}
]
GET /data/v0/{fulcra_userid}/gmaps_location_updates
Retrieve the raw Apple location update samples for the specified
user during the specified period of time.
Request
Parameters
Name
In
Type
Required
Description
fulcra_userid
path
string(uuid)
true
none
start_time
query
string(date-time)
true
The starting timestamp in ISO 8601 format (inclusive)
end_time
query
string(date-time)
true
The ending timestamp in ISO 8601 format (exclusive)
fulcra_source_id
query
any
false
none
Responses
Examples
Request Example
curl --request GET \
--url 'https://api.fulcradynamics.com/data/v0/497f6eca-6276-4993-bfeb-53cbbbba6f08/gmaps_location_updates?start_time=2023-02-01%2000%3A00%3A00Z&end_time=2023-02-03%2000%3A00%3A00Z' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
GET /data/v0/{fulcra_userid}/gmaps_location_updates/bounds
Return temporal bounds of Google Maps geo-location update samples
Request
Parameters
Name
In
Type
Required
Description
fulcra_userid
path
string(uuid)
true
none
source
query
any
false
Filter against a fulcra source
Responses
Examples
Request Example
curl --request GET \
--url https://api.fulcradynamics.com/data/v0/497f6eca-6276-4993-bfeb-53cbbbba6f08/gmaps_location_updates/bounds \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
{
"end_date" : "2019-08-24T14:15:22Z" ,
"start_date" : "2019-08-24T14:15:22Z"
}
GET /data/v0/{fulcra_userid}/location_at_time
Gets the user's location at the specified time. If no sample is available for the exact time, searches for the closest sample up to window_size seconds back. If include_after is true, then also searches window_size seconds forward.
Request
Parameters
Name
In
Type
Required
Description
fulcra_userid
path
string(uuid)
true
none
time
query
string(date-time)
true
The timestamp in ISO 8601 format to request location for
window_size
query
integer
false
The amount of time to look back (and forward, if the include_after parameter is true) for a sample.
include_after
query
boolean
false
When true, a sample that occurs after the requested time may be returned if it is the closest one.
reverse_geocode
query
boolean
false
When true, Fulcra will attempt to reverse geocode the location and include the location details in the results.
Responses
Examples
Request Example
curl --request GET \
--url 'https://api.fulcradynamics.com/data/v0/497f6eca-6276-4993-bfeb-53cbbbba6f08/location_at_time?time=2023-02-01T08%3A00%3A00Z' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
GET /data/v0/{fulcra_userid}/location_time_series
Retrieve a time series of locations that the user was at.
Request
Parameters
Name
In
Type
Required
Description
fulcra_userid
path
string(uuid)
true
none
start_time
query
string(date-time)
true
The starting timestamp in ISO8601 format (inclusive)
end_time
query
string(date-time)
true
The ending timestamp in ISO8601 format (exclusive)
sample_rate
query
integer
false
The sample rate in seconds.
look_back
query
integer
false
The number of seconds in the past to look back for a sample.
change_meters
query
any
false
When specified, subsequent samples that are fewer than this many meters away will not be included.
reverse_geocode
query
boolean
false
When true, Fulcra will attempt to reverse geocode the locations and include the location details in the results.
location_sources
query
array[string]
false
A set of sources to use location samples from.
Enumerated Values
Parameter
Value
location_sources
ios
location_sources
google_maps
Responses
Examples
Request Example
curl --request GET \
--url 'https://api.fulcradynamics.com/data/v0/497f6eca-6276-4993-bfeb-53cbbbba6f08/location_time_series?start_time=2023-02-01%2000%3A00%3A00Z&end_time=2023-02-03%2000%3A00%3A00Z' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
GET /data/v0/{fulcra_userid}/location_updates
Retrieve the location update samples for the specified user
during the specified period of time.
Request
Parameters
Name
In
Type
Required
Description
fulcra_userid
path
string(uuid)
true
none
start_time
query
string(date-time)
true
The starting timestamp in ISO 8601 format (inclusive)
end_time
query
string(date-time)
true
The ending timestamp in ISO 8601 format (exclusive)
location_sources
query
array[string]
false
A set of sources to use location samples from.
Enumerated Values
Parameter
Value
location_sources
ios
location_sources
google_maps
Responses
Examples
Request Example
curl --request GET \
--url 'https://api.fulcradynamics.com/data/v0/497f6eca-6276-4993-bfeb-53cbbbba6f08/location_updates?start_time=2023-02-01%2000%3A00%3A00Z&end_time=2023-02-03%2000%3A00%3A00Z' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
GET /data/v0/{fulcra_userid}/metric_samples
Retrieve the raw samples related to the given metric that occurred for the
user during the specified period of time.
In cases where samples cover ranges and not points in time, a sample will
be returned if any part of its range intersects with the requested range.
As an example, if you have start_date as 14:00 and end_date at 15:00,
and there is a sample that covers 13:30-14:30, it will be included.
Request
Parameters
Name
In
Type
Required
Description
fulcra_userid
path
string(uuid)
true
none
start_time
query
string(date-time)
true
The starting timestamp in ISO 8601 format (inclusive)
end_time
query
string(date-time)
true
The ending timestamp in ISO 8601 format (exclusive)
metric
query
string
true
The metric to retrieve samples for.
Responses
Examples
Request Example
curl --request GET \
--url 'https://api.fulcradynamics.com/data/v0/497f6eca-6276-4993-bfeb-53cbbbba6f08/metric_samples?start_time=2023-02-01%2000%3A00%3A00Z&end_time=2023-02-03%2000%3A00%3A00Z&metric=HeartRate' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
GET /data/v0/{fulcra_userid}/metric_time_series
Retrieve a time-series dataframe containing one metric.
Request
Parameters
Name
In
Type
Required
Description
fulcra_userid
path
string(uuid)
true
none
start_time
query
string(date-time)
true
The starting timestamp in ISO8601 format (inclusive)
end_time
query
string(date-time)
true
The ending timestamp in ISO8601 format (exclusive)
metric
query
string
true
The metric to retrieve data for.
output
query
OutputMethod
true
The output format to generate.
samprate
query
any
false
The sample rate in seconds or in the polars string language (see https://docs.pola.rs/api/python/dev/reference/expressions/api/polars.Expr.dt.truncate.html ).
replace_nulls
query
any
false
Set to 1 to replace all unavailable values with 0.
calculations
query
any
false
Additional statistics to calculate for each time window.
drop_nulls
query
any
false
When set to 1, all null samples are removed.
tz
query
any
false
IANA time zone to return results in
Enumerated Values
Parameter
Value
output
ndjson
output
jstable
output
jscolumns
output
arrow
output
arrowraw
output
parquet
output
csv
output
quotecsv
Responses
Examples
Request Example
curl --request GET \
--url 'https://api.fulcradynamics.com/data/v0/497f6eca-6276-4993-bfeb-53cbbbba6f08/metric_time_series?start_time=2023-02-01%2000%3A00%3A00Z&end_time=2023-02-03%2000%3A00%3A00Z&metric=HeartRate&output=ndjson' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
GET /data/v0/{fulcra_userid}/sleep_agg
Process raw sleep data samples aggregated sleep stage durations per period.
Request
Parameters
Name
In
Type
Required
Description
fulcra_userid
path
string(uuid)
true
none
start_time
query
string(date-time)
true
The starting timestamp in ISO8601 format (inclusive)
end_time
query
string(date-time)
true
The ending timestamp in ISO8601 format (exclusive)
output
query
OutputMethod
true
The output format to generate.
cycle_gap
query
string(duration)
false
Minimum time interval separating distinct cycles.
stages
query
any
false
Sleep stages to include. Defaults to all stages.
gap_stages
query
any
false
Sleep stages to consider as gaps in sleep cycles.
clip_to_range
query
boolean
false
Whether to clip the data to the requested date range. This is always done when requesting data for a user other than the authenticated user.
mode
query
Mode
false
Whether to use the cycle start or cycle end to assign cycles to periods, or to split sleep stage intervals at period boundries.
period
query
string
false
The period start and interval represented with the polars string language (see https://docs.pola.rs/api/python/dev/reference/expressions/api/polars.Expr.dt.truncate.html ).
agg_functions
query
array[string]
false
Aggregations to return.
tz
query
string
false
IANA time zone to return results in
Enumerated Values
Parameter
Value
output
ndjson
output
jstable
output
jscolumns
output
arrow
output
arrowraw
output
parquet
output
csv
output
quotecsv
mode
start
mode
end
mode
split
agg_functions
sum
agg_functions
avg
agg_functions
min
agg_functions
max
Responses
Examples
Request Example
curl --request GET \
--url 'https://api.fulcradynamics.com/data/v0/497f6eca-6276-4993-bfeb-53cbbbba6f08/sleep_agg?start_time=2024-11-15%2000%3A00%3A00Z&end_time=2024-11-16%2000%3A00%3A00Z&output=ndjson' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
GET /data/v0/{fulcra_userid}/sleep_cycles
Process raw sleep data samples into sleep cycles and assign
by finding gaps in the sleep sample data within a specified time interval.
Request
Parameters
Name
In
Type
Required
Description
fulcra_userid
path
string(uuid)
true
none
start_time
query
string(date-time)
true
The starting timestamp in ISO8601 format (inclusive)
end_time
query
string(date-time)
true
The ending timestamp in ISO8601 format (exclusive)
output
query
OutputMethod
true
The output format to generate.
cycle_gap
query
string(duration)
false
Minimum time interval separating distinct cycles.
stages
query
any
false
Sleep stages to include. Defaults to all stages.
gap_stages
query
any
false
Sleep stages to consider as gaps in sleep cycles.
clip_to_range
query
boolean
false
Whether to clip the data to the requested date range. This is always done when requesting data for a user other than the authenticated user.
Enumerated Values
Parameter
Value
output
ndjson
output
jstable
output
jscolumns
output
arrow
output
arrowraw
output
parquet
output
csv
output
quotecsv
Responses
Examples
Request Example
curl --request GET \
--url 'https://api.fulcradynamics.com/data/v0/497f6eca-6276-4993-bfeb-53cbbbba6f08/sleep_cycles?start_time=2024-11-15%2000%3A00%3A00Z&end_time=2024-11-16%2000%3A00%3A00Z&output=ndjson' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
GET /data/v0/{fulcra_userid}/sleep_cycles_extended
Extended version of sleep_cycles endpoint for experimentation.
Adds metric time series data (heart rate, respiratory rate, etc.) to each sleep cycle.
Request
Parameters
Name
In
Type
Required
Description
fulcra_userid
path
string(uuid)
true
none
start_time
query
string(date-time)
true
The starting timestamp in ISO8601 format (inclusive)
end_time
query
string(date-time)
true
The ending timestamp in ISO8601 format (exclusive)
output
query
OutputMethod
true
The output format to generate.
cycle_gap
query
string(duration)
false
Minimum time interval separating distinct cycles.
stages
query
any
false
Sleep stages to include. Defaults to all stages.
gap_stages
query
any
false
Sleep stages to consider as gaps in sleep cycles.
clip_to_range
query
boolean
false
Whether to clip the data to the requested date range. This is always done when requesting data for a user other than the authenticated user.
metrics
query
any
false
Optional list of metrics to include as time series data (e.g., HeartRate, RespiratoryRate).
metric_calculations
query
any
false
Statistics to calculate for each time window in metric time series.
metric_seconds_before
query
number
false
Number of seconds before each sleep cycle to include in metric time series data.
metric_seconds_after
query
number
false
Number of seconds after each sleep cycle to include in metric time series data.
Enumerated Values
Parameter
Value
output
ndjson
output
jstable
output
jscolumns
output
arrow
output
arrowraw
output
parquet
output
csv
output
quotecsv
Responses
Examples
Request Example
curl --request GET \
--url 'https://api.fulcradynamics.com/data/v0/497f6eca-6276-4993-bfeb-53cbbbba6f08/sleep_cycles_extended?start_time=2024-11-15%2000%3A00%3A00Z&end_time=2024-11-16%2000%3A00%3A00Z&output=ndjson' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
Retrieve metadata for interpreting sleep stage data, such as stage names and depths. In future, this may include user-specific stage or device priorities as well.
Name
In
Type
Required
Description
fulcra_userid
path
string(uuid)
true
none
Examples
Request Example
curl --request GET \
--url https://api.fulcradynamics.com/data/v0/497f6eca-6276-4993-bfeb-53cbbbba6f08/sleep_stage_metadata \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
GET /data/v0/{fulcra_userid}/sleep_stages
Process raw sleep data samples into non-conflicting sleep stages and assign
a cycle index by finding gaps in the sleep sample data within a specified time interval.
If more than one sleep data source is present, sleep stage is determined based
on the priority of the stage (in bed and unknown are deprioritized) and the
start time of the sample (latest takes precedence)
Request
Parameters
Name
In
Type
Required
Description
fulcra_userid
path
string(uuid)
true
none
start_time
query
string(date-time)
true
The starting timestamp in ISO8601 format (inclusive)
end_time
query
string(date-time)
true
The ending timestamp in ISO8601 format (exclusive)
output
query
OutputMethod
true
The output format to generate.
cycle_gap
query
string(duration)
false
Minimum time interval separating distinct cycles.
stages
query
any
false
Sleep stages to include. Defaults to all stages.
gap_stages
query
any
false
Sleep stages to consider as gaps in sleep cycles.
merge_overlapping
query
boolean
false
Whether to merge overlapping stages based on priority and start time: stage 0 (in bed) has lower priority than other stages; stage 2 (unknown sleep stage) has lower priority than other stages except 0; then stages with later start times take precedece.
merge_contiguous
query
boolean
false
Whether to merge contiguous samples with the same sleep stage into one continues stage.
clip_to_range
query
boolean
false
Whether to clip the data to the requested date range. This is always done when requesting data for a user other than the authenticated user.
Enumerated Values
Parameter
Value
output
ndjson
output
jstable
output
jscolumns
output
arrow
output
arrowraw
output
parquet
output
csv
output
quotecsv
Responses
Examples
Request Example
curl --request GET \
--url 'https://api.fulcradynamics.com/data/v0/497f6eca-6276-4993-bfeb-53cbbbba6f08/sleep_stages?start_time=2024-11-15%2000%3A00%3A00Z&end_time=2024-11-16%2000%3A00%3A00Z&output=ndjson' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
GET /data/v1/catalog
Catalog of Fulcra Data Types
Request
Parameters
Name
In
Type
Required
Description
data_type
query
any
false
none
category
query
any
false
none
Responses
Examples
Request Example
curl --request GET \
--url https://api.fulcradynamics.com/data/v1/catalog \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
[
{
"api_version" : "v0" ,
"categories" : [
"annotations"
],
"class" : "metric" ,
"column_name" : "string" ,
"deprecated" : false ,
"description" : "string" ,
"icon" : "string" ,
"id" : "string" ,
"metric_kind" : "cumulative" ,
"name" : "string" ,
"queryable" : true ,
"record_spec" : {
"schema" : {},
"type" : "event"
},
"recordable" : true ,
"unit" : "string"
}
]
GET /data/v1/catalog/{data_type}/{api_version}
Return metadata for a data type
Request
Parameters
Name
In
Type
Required
Description
data_type
path
string
true
none
api_version
path
FulcraAPIVersion
true
none
Enumerated Values
Parameter
Value
api_version
v0
api_version
v1alpha1
api_version
v1
Responses
Examples
Request Example
curl --request GET \
--url https://api.fulcradynamics.com/data/v1/catalog/string/v0 \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
GET /data/v1/catalog/{data_type}/{api_version}/schema
Return record JSON Schema for a data type
Request
Parameters
Name
In
Type
Required
Description
data_type
path
string
true
none
api_version
path
FulcraAPIVersion
true
none
Enumerated Values
Parameter
Value
api_version
v0
api_version
v1alpha1
api_version
v1
Responses
Examples
Request Example
curl --request GET \
--url https://api.fulcradynamics.com/data/v1/catalog/string/v0/schema \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
GET /data/v1/updates
Available Data Updated For Time Range
Request
Parameters
Name
In
Type
Required
Description
start_time
query
string(date-time)
true
The starting timestamp in ISO8601 format (inclusive)
end_time
query
string(date-time)
true
The ending timestamp ISO8601 format (exclusive)
Responses
Examples
Request Example
curl --request GET \
--url 'https://api.fulcradynamics.com/data/v1/updates?start_time=2023-02-01%2000%3A00%3A00Z&end_time=2023-02-03%2000%3A00%3A00Z' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
GET /data/v1alpha1/data_available
List all available data for fulcra_userid (if not present, then use the
authenticated user's userid).
This does not include pool data.
The result will be a list of objects, keyed by data type.
This is a convenience method, not a replacement for access_check().
Request
Parameters
Name
In
Type
Required
Description
start_time
query
string(date-time)
true
The starting timestamp in ISO8601 format (inclusive)
end_time
query
string(date-time)
true
The ending timestamp ISO8601 format (exclusive)
fulcra_userid
query
any
false
User ID of Fulcra User to return data for
Responses
Examples
Request Example
curl --request GET \
--url 'https://api.fulcradynamics.com/data/v1alpha1/data_available?start_time=2023-02-01%2000%3A00%3A00Z&end_time=2023-02-03%2000%3A00%3A00Z' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
GET /data/v1alpha1/data_sources
Return a list of a user's processed data sources
Responses
Examples
Request Example
curl --request GET \
--url https://api.fulcradynamics.com/data/v1alpha1/data_sources \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
[
{
"id" : "497f6eca-6276-4993-bfeb-53cbbbba6f08" ,
"metadata" : {},
"name" : "string" ,
"parent_id" : "1c6ca187-e61f-4301-8dcb-0e9749e89eef" ,
"vendor_id" : "string"
}
]
GET /data/v1alpha1/data_types
Return a list of available Fulcra Data Types to query
Responses
Examples
Request Example
curl --request GET \
--url https://api.fulcradynamics.com/data/v1alpha1/data_types \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
[
{
"category" : [
"string"
],
"class" : "string" ,
"description" : "string" ,
"name" : "string"
}
]
GET /data/v1alpha1/event/{data_type}
Return records from a Fulcra Data Type
Request
Parameters
Name
In
Type
Required
Description
data_type
path
string
true
none
start_time
query
string(date-time)
true
The starting timestamp in ISO8601 format (inclusive)
end_time
query
string(date-time)
true
The ending timestamp ISO8601 format (exclusive)
format
query
ResponseFormat
false
Response format (json or csv)
sort
query
SortOrder
false
Sort Order
fulcra_userid
query
any
false
User ID of Fulcra User to return data for
pool_id
query
any
false
Pool ID to return data for
participant_id
query
any
false
Pool participant ID to return data for
filter
query
array[string]
false
Additional fields to filter by
Enumerated Values
Parameter
Value
format
json
format
csv
sort
asc
sort
desc
Responses
Examples
Request Example
curl --request GET \
--url 'https://api.fulcradynamics.com/data/v1alpha1/event/string?start_time=2023-02-01%2000%3A00%3A00Z&end_time=2023-02-03%2000%3A00%3A00Z' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
GET /data/v1alpha1/event/{data_type}/agg/{resolution}
Return aggregated data for a Fulcra Metric
Request
Parameters
Name
In
Type
Required
Description
resolution
path
AggregateResolution
true
Time granularity to aggregate by
data_type
path
string
true
none
start_time
query
string(date-time)
true
The starting timestamp in ISO8601 format (inclusive)
end_time
query
string(date-time)
true
The ending timestamp ISO8601 format (exclusive)
time_zone
query
TimeZone
false
IANA time zone to aggregate by
format
query
ResponseFormat
false
Response format (json or csv)
sort
query
SortOrder
false
Sort Order
fulcra_userid
query
any
false
User ID of Fulcra User to return data for
pool_id
query
any
false
Pool ID to return data for
participant_id
query
any
false
Pool participant ID to return data for
filter
query
array[string]
false
Additional fields to filter by
group
query
array[string]
false
Additional fields to group by
Enumerated Values
Parameter
Value
resolution
15m
resolution
60m
resolution
day
time_zone
Atlantic/Stanley
time_zone
America/Jujuy
time_zone
WET
time_zone
America/Winnipeg
time_zone
Asia/Bahrain
time_zone
Europe/Dublin
time_zone
America/Argentina/Catamarca
time_zone
America/Miquelon
time_zone
Canada/Yukon
time_zone
America/Noronha
time_zone
America/Marigot
time_zone
Antarctica/Macquarie
time_zone
MST
time_zone
America/Argentina/Jujuy
time_zone
Etc/GMT+6
time_zone
Asia/Pyongyang
time_zone
Africa/Juba
time_zone
Africa/Tunis
time_zone
America/Swift_Current
time_zone
America/Mendoza
time_zone
Africa/Casablanca
time_zone
Asia/Aqtobe
time_zone
America/Nome
time_zone
Antarctica/Palmer
time_zone
Africa/Conakry
time_zone
Africa/Algiers
time_zone
America/Costa_Rica
time_zone
Iran
time_zone
EST5EDT
time_zone
Canada/Atlantic
time_zone
EST
time_zone
Indian/Mahe
time_zone
Africa/Abidjan
time_zone
America/Dawson
time_zone
Atlantic/Madeira
time_zone
America/Inuvik
time_zone
PRC
time_zone
America/Rio_Branco
time_zone
Universal
time_zone
Africa/Mogadishu
time_zone
Pacific/Bougainville
time_zone
Asia/Almaty
time_zone
Africa/Lusaka
time_zone
Africa/Brazzaville
time_zone
Asia/Ulan_Bator
time_zone
Asia/Saigon
time_zone
America/Argentina/San_Luis
time_zone
Pacific/Niue
time_zone
Etc/GMT+5
time_zone
Europe/Andorra
time_zone
Africa/Bujumbura
time_zone
US/Central
time_zone
America/Chihuahua
time_zone
Asia/Samarkand
time_zone
Etc/GMT
time_zone
America/St_Johns
time_zone
Africa/Dakar
time_zone
Pacific/Tarawa
time_zone
Etc/Greenwich
time_zone
Etc/GMT-0
time_zone
Africa/Lagos
time_zone
Africa/Khartoum
time_zone
Pacific/Guam
time_zone
W-SU
time_zone
America/Coral_Harbour
time_zone
America/Kralendijk
time_zone
Atlantic/Faeroe
time_zone
Asia/Amman
time_zone
Asia/Macau
time_zone
Atlantic/Jan_Mayen
time_zone
America/Catamarca
time_zone
America/Resolute
time_zone
America/Monterrey
time_zone
Pacific/Fakaofo
time_zone
Europe/Vienna
time_zone
Asia/Yangon
time_zone
Portugal
time_zone
Pacific/Enderbury
time_zone
Factory
time_zone
America/Buenos_Aires
time_zone
Europe/Busingen
time_zone
America/Kentucky/Monticello
time_zone
GMT+0
time_zone
Africa/Bamako
time_zone
Israel
time_zone
America/Edmonton
time_zone
Canada/Mountain
time_zone
America/Argentina/San_Juan
time_zone
Navajo
time_zone
America/Tijuana
time_zone
Etc/GMT-8
time_zone
America/Boise
time_zone
Australia/Canberra
time_zone
Asia/Dacca
time_zone
America/Montreal
time_zone
Asia/Singapore
time_zone
Europe/Helsinki
time_zone
Asia/Karachi
time_zone
Australia/Hobart
time_zone
Europe/Belgrade
time_zone
Asia/Gaza
time_zone
Africa/Banjul
time_zone
Indian/Christmas
time_zone
Atlantic/Azores
time_zone
Asia/Manila
time_zone
Poland
time_zone
Europe/Amsterdam
time_zone
America/Havana
time_zone
Eire
time_zone
Europe/Minsk
time_zone
America/Mazatlan
time_zone
Asia/Ust-Nera
time_zone
America/Cancun
time_zone
Asia/Dili
time_zone
America/Argentina/Rio_Gallegos
time_zone
US/Indiana-Starke
time_zone
Indian/Comoro
time_zone
Asia/Aqtau
time_zone
America/Guayaquil
time_zone
Canada/Newfoundland
time_zone
Pacific/Chuuk
time_zone
America/Adak
time_zone
Europe/San_Marino
time_zone
Asia/Bishkek
time_zone
Asia/Hebron
time_zone
Pacific/Guadalcanal
time_zone
America/Maceio
time_zone
Australia/North
time_zone
Chile/EasterIsland
time_zone
Europe/Isle_of_Man
time_zone
Etc/GMT-10
time_zone
America/Moncton
time_zone
America/Indiana/Petersburg
time_zone
Pacific/Norfolk
time_zone
Europe/Saratov
time_zone
America/Juneau
time_zone
Europe/Vaduz
time_zone
Antarctica/Rothera
time_zone
America/Indiana/Marengo
time_zone
Africa/Kampala
time_zone
Asia/Jakarta
time_zone
America/St_Lucia
time_zone
Europe/Uzhgorod
time_zone
Europe/Chisinau
time_zone
America/La_Paz
time_zone
US/Mountain
time_zone
America/New_York
time_zone
America/Shiprock
time_zone
Asia/Irkutsk
time_zone
Asia/Kathmandu
time_zone
Brazil/West
time_zone
Asia/Yerevan
time_zone
America/Lima
time_zone
Pacific/Johnston
time_zone
Europe/Monaco
time_zone
Etc/GMT+11
time_zone
Europe/Luxembourg
time_zone
Asia/Sakhalin
time_zone
America/Ensenada
time_zone
Etc/GMT-6
time_zone
GMT
time_zone
EET
time_zone
Etc/GMT+0
time_zone
Japan
time_zone
Africa/Ouagadougou
time_zone
Asia/Damascus
time_zone
Jamaica
time_zone
ROK
time_zone
America/St_Thomas
time_zone
Europe/Brussels
time_zone
Europe/Sarajevo
time_zone
Asia/Dushanbe
time_zone
Australia/South
time_zone
Etc/GMT-4
time_zone
America/Yellowknife
time_zone
Brazil/DeNoronha
time_zone
Europe/Astrakhan
time_zone
Europe/Gibraltar
time_zone
America/Toronto
time_zone
Mexico/General
time_zone
Etc/UTC
time_zone
America/Scoresbysund
time_zone
America/Port-au-Prince
time_zone
America/Recife
time_zone
Asia/Novokuznetsk
time_zone
America/Thule
time_zone
Australia/Adelaide
time_zone
Australia/NSW
time_zone
Zulu
time_zone
Europe/Budapest
time_zone
America/Glace_Bay
time_zone
Asia/Thimbu
time_zone
Africa/Asmara
time_zone
Pacific/Tongatapu
time_zone
Egypt
time_zone
Etc/GMT-2
time_zone
Europe/Simferopol
time_zone
America/Los_Angeles
time_zone
America/Araguaina
time_zone
Europe/Istanbul
time_zone
Pacific/Samoa
time_zone
Antarctica/South_Pole
time_zone
America/Yakutat
time_zone
Hongkong
time_zone
Asia/Seoul
time_zone
Australia/Broken_Hill
time_zone
America/Paramaribo
time_zone
Asia/Khandyga
time_zone
America/Atka
time_zone
Asia/Krasnoyarsk
time_zone
America/Halifax
time_zone
America/Indiana/Winamac
time_zone
Asia/Famagusta
time_zone
Mexico/BajaNorte
time_zone
Australia/West
time_zone
Europe/Zurich
time_zone
America/Atikokan
time_zone
Asia/Vientiane
time_zone
MET
time_zone
America/Aruba
time_zone
Etc/GMT-9
time_zone
GB-Eire
time_zone
America/Grenada
time_zone
Asia/Kuwait
time_zone
Cuba
time_zone
Asia/Aden
time_zone
America/Panama
time_zone
Pacific/Kwajalein
time_zone
Asia/Dubai
time_zone
UCT
time_zone
Africa/Sao_Tome
time_zone
America/Iqaluit
time_zone
Australia/Queensland
time_zone
Africa/Nairobi
time_zone
America/Fortaleza
time_zone
Australia/Brisbane
time_zone
Asia/Magadan
time_zone
Africa/Kinshasa
time_zone
America/Indiana/Vincennes
time_zone
Europe/Volgograd
time_zone
America/Argentina/La_Rioja
time_zone
America/Indiana/Tell_City
time_zone
America/Hermosillo
time_zone
CST6CDT
time_zone
America/Creston
time_zone
America/Punta_Arenas
time_zone
Greenwich
time_zone
Australia/Lord_Howe
time_zone
America/Guyana
time_zone
America/Porto_Acre
time_zone
America/Guadeloupe
time_zone
America/Cayman
time_zone
America/Phoenix
time_zone
Asia/Omsk
time_zone
Pacific/Kosrae
time_zone
US/Aleutian
time_zone
Australia/ACT
time_zone
America/Vancouver
time_zone
Antarctica/Troll
time_zone
Africa/Monrovia
time_zone
America/Blanc-Sablon
time_zone
Africa/Asmera
time_zone
Pacific/Truk
time_zone
America/Santiago
time_zone
America/Belem
time_zone
America/Rosario
time_zone
America/Merida
time_zone
Asia/Atyrau
time_zone
Australia/Lindeman
time_zone
Africa/Freetown
time_zone
America/Louisville
time_zone
America/Puerto_Rico
time_zone
America/Nuuk
time_zone
America/Managua
time_zone
America/Asuncion
time_zone
Asia/Riyadh
time_zone
Europe/Vilnius
time_zone
America/Indiana/Vevay
time_zone
US/Eastern
time_zone
Europe/Skopje
time_zone
Asia/Tokyo
time_zone
America/St_Kitts
time_zone
Pacific/Noumea
time_zone
MST7MDT
time_zone
Chile/Continental
time_zone
Africa/Libreville
time_zone
Asia/Tel_Aviv
time_zone
Africa/Nouakchott
time_zone
America/St_Vincent
time_zone
Antarctica/McMurdo
time_zone
America/Santa_Isabel
time_zone
America/North_Dakota/Center
time_zone
Indian/Maldives
time_zone
Africa/Douala
time_zone
Asia/Chita
time_zone
Europe/Warsaw
time_zone
Europe/Nicosia
time_zone
Libya
time_zone
America/El_Salvador
time_zone
Africa/Gaborone
time_zone
Europe/Paris
time_zone
Asia/Tashkent
time_zone
America/Port_of_Spain
time_zone
Asia/Novosibirsk
time_zone
America/North_Dakota/Beulah
time_zone
Indian/Cocos
time_zone
Europe/Podgorica
time_zone
Europe/Tallinn
time_zone
America/Ojinaga
time_zone
Etc/GMT-5
time_zone
Europe/Moscow
time_zone
Asia/Srednekolymsk
time_zone
America/Belize
time_zone
America/Indiana/Indianapolis
time_zone
Europe/Malta
time_zone
Europe/Zaporozhye
time_zone
Africa/Ceuta
time_zone
Asia/Katmandu
time_zone
Asia/Yakutsk
time_zone
Africa/Luanda
time_zone
America/Indianapolis
time_zone
America/Tortola
time_zone
Etc/GMT+12
time_zone
Asia/Bangkok
time_zone
Arctic/Longyearbyen
time_zone
Etc/GMT+7
time_zone
America/Regina
time_zone
Etc/GMT+10
time_zone
Etc/GMT+9
time_zone
Europe/Jersey
time_zone
Asia/Ashkhabad
time_zone
America/Cambridge_Bay
time_zone
America/Santarem
time_zone
Asia/Kolkata
time_zone
Etc/GMT-11
time_zone
America/Antigua
time_zone
Europe/Copenhagen
time_zone
US/Hawaii
time_zone
America/Caracas
time_zone
NZ-CHAT
time_zone
Europe/Zagreb
time_zone
Pacific/Fiji
time_zone
America/Manaus
time_zone
localtime
time_zone
Brazil/East
time_zone
Europe/Prague
time_zone
Asia/Beirut
time_zone
Africa/Bissau
time_zone
Africa/Malabo
time_zone
Asia/Jayapura
time_zone
America/Fort_Nelson
time_zone
Asia/Dhaka
time_zone
Europe/Kyiv
time_zone
Asia/Tomsk
time_zone
Pacific/Auckland
time_zone
Etc/Universal
time_zone
America/Nassau
time_zone
Asia/Ujung_Pandang
time_zone
America/Nipigon
time_zone
Africa/Cairo
time_zone
Europe/Ljubljana
time_zone
America/Jamaica
time_zone
Antarctica/Mawson
time_zone
Europe/Vatican
time_zone
Asia/Chongqing
time_zone
Pacific/Wake
time_zone
America/Barbados
time_zone
America/Sitka
time_zone
Africa/El_Aaiun
time_zone
Europe/Guernsey
time_zone
Pacific/Ponape
time_zone
Antarctica/Syowa
time_zone
Asia/Brunei
time_zone
US/Arizona
time_zone
Indian/Mauritius
time_zone
Asia/Macao
time_zone
Etc/GMT+2
time_zone
Etc/GMT0
time_zone
Asia/Taipei
time_zone
Pacific/Port_Moresby
time_zone
Europe/Oslo
time_zone
Australia/Sydney
time_zone
Pacific/Kiritimati
time_zone
Asia/Barnaul
time_zone
America/Whitehorse
time_zone
Mexico/BajaSur
time_zone
Asia/Qyzylorda
time_zone
Europe/Bratislava
time_zone
Atlantic/Bermuda
time_zone
ROC
time_zone
Atlantic/St_Helena
time_zone
America/Campo_Grande
time_zone
Africa/Harare
time_zone
America/Anchorage
time_zone
Antarctica/Davis
time_zone
Etc/GMT-12
time_zone
America/Cayenne
time_zone
Asia/Istanbul
time_zone
Asia/Kamchatka
time_zone
Indian/Reunion
time_zone
Etc/GMT+1
time_zone
Europe/Lisbon
time_zone
America/Tegucigalpa
time_zone
America/Goose_Bay
time_zone
America/Dawson_Creek
time_zone
Asia/Qatar
time_zone
US/Alaska
time_zone
Antarctica/Casey
time_zone
Brazil/Acre
time_zone
America/Sao_Paulo
time_zone
Pacific/Easter
time_zone
Australia/Currie
time_zone
Africa/Addis_Ababa
time_zone
NZ
time_zone
America/Knox_IN
time_zone
America/Dominica
time_zone
PST8PDT
time_zone
America/Montevideo
time_zone
America/Curacao
time_zone
America/Chicago
time_zone
HST
time_zone
Canada/Eastern
time_zone
Asia/Kashgar
time_zone
Canada/Central
time_zone
America/Rainy_River
time_zone
Pacific/Marquesas
time_zone
Asia/Ulaanbaatar
time_zone
America/Virgin
time_zone
US/Samoa
time_zone
GMT0
time_zone
Pacific/Gambier
time_zone
Europe/Sofia
time_zone
Asia/Makassar
time_zone
America/Ciudad_Juarez
time_zone
GMT-0
time_zone
Australia/Melbourne
time_zone
Africa/Accra
time_zone
America/Fort_Wayne
time_zone
Etc/GMT+4
time_zone
Etc/GMT-13
time_zone
Africa/Bangui
time_zone
Asia/Ho_Chi_Minh
time_zone
Europe/Tiraspol
time_zone
Australia/Darwin
time_zone
Africa/Maputo
time_zone
America/North_Dakota/New_Salem
time_zone
Africa/Porto-Novo
time_zone
Europe/Tirane
time_zone
Asia/Harbin
time_zone
Atlantic/Faroe
time_zone
Asia/Hong_Kong
time_zone
Pacific/Funafuti
time_zone
Pacific/Tahiti
time_zone
Europe/Riga
time_zone
America/Kentucky/Louisville
time_zone
America/Argentina/Mendoza
time_zone
Europe/Belfast
time_zone
Pacific/Galapagos
time_zone
America/Godthab
time_zone
Asia/Vladivostok
time_zone
Asia/Qostanay
time_zone
Europe/London
time_zone
Asia/Colombo
time_zone
Asia/Choibalsan
time_zone
America/Lower_Princes
time_zone
Indian/Antananarivo
time_zone
Pacific/Nauru
time_zone
America/Santo_Domingo
time_zone
America/Mexico_City
time_zone
CET
time_zone
America/Eirunepe
time_zone
Asia/Urumqi
time_zone
Africa/Mbabane
time_zone
Pacific/Rarotonga
time_zone
Africa/Niamey
time_zone
America/Argentina/Ushuaia
time_zone
Europe/Stockholm
time_zone
Etc/UCT
time_zone
America/Cordoba
time_zone
Pacific/Honolulu
time_zone
US/Michigan
time_zone
Australia/LHI
time_zone
Turkey
time_zone
Pacific/Yap
time_zone
America/Grand_Turk
time_zone
Kwajalein
time_zone
Etc/GMT-3
time_zone
America/Boa_Vista
time_zone
Asia/Baghdad
time_zone
GB
time_zone
Europe/Kaliningrad
time_zone
Australia/Eucla
time_zone
America/Porto_Velho
time_zone
America/Cuiaba
time_zone
Singapore
time_zone
Africa/Djibouti
time_zone
Canada/Pacific
time_zone
America/Anguilla
time_zone
Europe/Ulyanovsk
time_zone
Europe/Madrid
time_zone
Indian/Chagos
time_zone
Africa/Lubumbashi
time_zone
Asia/Calcutta
time_zone
America/Argentina/ComodRivadavia
time_zone
America/Montserrat
time_zone
America/Metlakatla
time_zone
Atlantic/South_Georgia
time_zone
Atlantic/Canary
time_zone
Antarctica/DumontDUrville
time_zone
America/St_Barthelemy
time_zone
Asia/Kuala_Lumpur
time_zone
Indian/Kerguelen
time_zone
Pacific/Saipan
time_zone
Etc/GMT+3
time_zone
Asia/Pontianak
time_zone
Indian/Mayotte
time_zone
Africa/Dar_es_Salaam
time_zone
Etc/GMT+8
time_zone
Europe/Kirov
time_zone
Asia/Ashgabat
time_zone
US/Pacific
time_zone
America/Martinique
time_zone
Pacific/Efate
time_zone
Asia/Shanghai
time_zone
America/Bogota
time_zone
Asia/Tehran
time_zone
Europe/Rome
time_zone
America/Menominee
time_zone
Pacific/Chatham
time_zone
Asia/Rangoon
time_zone
Pacific/Apia
time_zone
America/Argentina/Buenos_Aires
time_zone
Europe/Samara
time_zone
Asia/Thimphu
time_zone
Asia/Kabul
time_zone
Etc/GMT-14
time_zone
Europe/Bucharest
time_zone
Etc/Zulu
time_zone
Europe/Berlin
time_zone
Africa/Timbuktu
time_zone
Atlantic/Reykjavik
time_zone
Canada/Saskatchewan
time_zone
Pacific/Pago_Pago
time_zone
America/Argentina/Tucuman
time_zone
Pacific/Kanton
time_zone
Pacific/Pitcairn
time_zone
America/Argentina/Salta
time_zone
Africa/Maseru
time_zone
Africa/Kigali
time_zone
Africa/Lome
time_zone
Europe/Kiev
time_zone
Pacific/Palau
time_zone
Europe/Mariehamn
time_zone
Australia/Victoria
time_zone
Africa/Johannesburg
time_zone
America/Rankin_Inlet
time_zone
America/Argentina/Cordoba
time_zone
Africa/Ndjamena
time_zone
Antarctica/Vostok
time_zone
Asia/Yekaterinburg
time_zone
Australia/Perth
time_zone
Asia/Kuching
time_zone
US/East-Indiana
time_zone
Iceland
time_zone
Etc/GMT-1
time_zone
America/Danmarkshavn
time_zone
America/Bahia_Banderas
time_zone
America/Detroit
time_zone
Pacific/Midway
time_zone
Australia/Yancowinna
time_zone
Atlantic/Cape_Verde
time_zone
America/Coyhaique
time_zone
Pacific/Wallis
time_zone
America/Guatemala
time_zone
Africa/Windhoek
time_zone
Asia/Nicosia
time_zone
Pacific/Pohnpei
time_zone
Africa/Tripoli
time_zone
Etc/GMT-7
time_zone
Asia/Phnom_Penh
time_zone
America/Pangnirtung
time_zone
Asia/Tbilisi
time_zone
Asia/Jerusalem
time_zone
Europe/Athens
time_zone
Africa/Blantyre
time_zone
Asia/Anadyr
time_zone
Asia/Muscat
time_zone
America/Matamoros
time_zone
America/Indiana/Knox
time_zone
UTC
time_zone
America/Thunder_Bay
time_zone
Pacific/Majuro
time_zone
America/Denver
time_zone
Asia/Chungking
time_zone
Asia/Oral
time_zone
Australia/Tasmania
time_zone
America/Bahia
time_zone
Asia/Hovd
time_zone
Asia/Baku
format
json
format
csv
sort
asc
sort
desc
Responses
Examples
Request Example
curl --request GET \
--url 'https://api.fulcradynamics.com/data/v1alpha1/event/string/agg/15m?start_time=2023-02-01%2000%3A00%3A00Z&end_time=2023-02-03%2000%3A00%3A00Z' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
GET /data/v1alpha1/insight
Return insights data
Request
Parameters
Name
In
Type
Required
Description
timestamp
query
any
false
The timestamp in ISO8601 format (inclusive)
version
query
InsightReportVersion
false
Insights report version
Enumerated Values
Parameter
Value
version
v0
Responses
Examples
Request Example
curl --request GET \
--url https://api.fulcradynamics.com/data/v1alpha1/insight \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
GET /data/v1alpha1/metric/{data_type}
Return raw samples of a Fulcra Metric
Request
Parameters
Name
In
Type
Required
Description
data_type
path
string
true
none
start_time
query
string(date-time)
true
The starting timestamp in ISO8601 format (inclusive)
end_time
query
string(date-time)
true
The ending timestamp ISO8601 format (exclusive)
format
query
ResponseFormat
false
Response format (json or csv)
sort
query
SortOrder
false
Sort Order
fulcra_userid
query
any
false
User ID of Fulcra User to return data for
pool_id
query
any
false
Pool ID to return data for
participant_id
query
any
false
Pool participant ID to return data for
filter
query
array[string]
false
Additional fields to filter by
Enumerated Values
Parameter
Value
format
json
format
csv
sort
asc
sort
desc
Responses
Examples
Request Example
curl --request GET \
--url 'https://api.fulcradynamics.com/data/v1alpha1/metric/string?start_time=2023-02-01%2000%3A00%3A00Z&end_time=2023-02-03%2000%3A00%3A00Z' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
GET /data/v1alpha1/metric/{data_type}/agg/{resolution}
Return aggregated data for a Fulcra Metric
Request
Parameters
Name
In
Type
Required
Description
resolution
path
AggregateResolution
true
Time granularity to aggregate by
data_type
path
string
true
none
function
query
array[string]
true
Aggregate function
start_time
query
string(date-time)
true
The starting timestamp in ISO8601 format (inclusive)
end_time
query
string(date-time)
true
The ending timestamp ISO8601 format (exclusive)
time_zone
query
TimeZone
false
IANA time zone to aggregate by
format
query
ResponseFormat
false
Response format (json or csv)
sort
query
SortOrder
false
Sort Order
fulcra_userid
query
any
false
User ID of Fulcra User to return data for
pool_id
query
any
false
Pool ID to return data for
participant_id
query
any
false
Pool participant ID to return data for
filter
query
array[string]
false
Additional fields to filter by
group
query
array[string]
false
Additional fields to group by
Enumerated Values
Parameter
Value
resolution
15m
resolution
60m
resolution
day
function
sum
function
avg
function
min
function
max
time_zone
Atlantic/Stanley
time_zone
America/Jujuy
time_zone
WET
time_zone
America/Winnipeg
time_zone
Asia/Bahrain
time_zone
Europe/Dublin
time_zone
America/Argentina/Catamarca
time_zone
America/Miquelon
time_zone
Canada/Yukon
time_zone
America/Noronha
time_zone
America/Marigot
time_zone
Antarctica/Macquarie
time_zone
MST
time_zone
America/Argentina/Jujuy
time_zone
Etc/GMT+6
time_zone
Asia/Pyongyang
time_zone
Africa/Juba
time_zone
Africa/Tunis
time_zone
America/Swift_Current
time_zone
America/Mendoza
time_zone
Africa/Casablanca
time_zone
Asia/Aqtobe
time_zone
America/Nome
time_zone
Antarctica/Palmer
time_zone
Africa/Conakry
time_zone
Africa/Algiers
time_zone
America/Costa_Rica
time_zone
Iran
time_zone
EST5EDT
time_zone
Canada/Atlantic
time_zone
EST
time_zone
Indian/Mahe
time_zone
Africa/Abidjan
time_zone
America/Dawson
time_zone
Atlantic/Madeira
time_zone
America/Inuvik
time_zone
PRC
time_zone
America/Rio_Branco
time_zone
Universal
time_zone
Africa/Mogadishu
time_zone
Pacific/Bougainville
time_zone
Asia/Almaty
time_zone
Africa/Lusaka
time_zone
Africa/Brazzaville
time_zone
Asia/Ulan_Bator
time_zone
Asia/Saigon
time_zone
America/Argentina/San_Luis
time_zone
Pacific/Niue
time_zone
Etc/GMT+5
time_zone
Europe/Andorra
time_zone
Africa/Bujumbura
time_zone
US/Central
time_zone
America/Chihuahua
time_zone
Asia/Samarkand
time_zone
Etc/GMT
time_zone
America/St_Johns
time_zone
Africa/Dakar
time_zone
Pacific/Tarawa
time_zone
Etc/Greenwich
time_zone
Etc/GMT-0
time_zone
Africa/Lagos
time_zone
Africa/Khartoum
time_zone
Pacific/Guam
time_zone
W-SU
time_zone
America/Coral_Harbour
time_zone
America/Kralendijk
time_zone
Atlantic/Faeroe
time_zone
Asia/Amman
time_zone
Asia/Macau
time_zone
Atlantic/Jan_Mayen
time_zone
America/Catamarca
time_zone
America/Resolute
time_zone
America/Monterrey
time_zone
Pacific/Fakaofo
time_zone
Europe/Vienna
time_zone
Asia/Yangon
time_zone
Portugal
time_zone
Pacific/Enderbury
time_zone
Factory
time_zone
America/Buenos_Aires
time_zone
Europe/Busingen
time_zone
America/Kentucky/Monticello
time_zone
GMT+0
time_zone
Africa/Bamako
time_zone
Israel
time_zone
America/Edmonton
time_zone
Canada/Mountain
time_zone
America/Argentina/San_Juan
time_zone
Navajo
time_zone
America/Tijuana
time_zone
Etc/GMT-8
time_zone
America/Boise
time_zone
Australia/Canberra
time_zone
Asia/Dacca
time_zone
America/Montreal
time_zone
Asia/Singapore
time_zone
Europe/Helsinki
time_zone
Asia/Karachi
time_zone
Australia/Hobart
time_zone
Europe/Belgrade
time_zone
Asia/Gaza
time_zone
Africa/Banjul
time_zone
Indian/Christmas
time_zone
Atlantic/Azores
time_zone
Asia/Manila
time_zone
Poland
time_zone
Europe/Amsterdam
time_zone
America/Havana
time_zone
Eire
time_zone
Europe/Minsk
time_zone
America/Mazatlan
time_zone
Asia/Ust-Nera
time_zone
America/Cancun
time_zone
Asia/Dili
time_zone
America/Argentina/Rio_Gallegos
time_zone
US/Indiana-Starke
time_zone
Indian/Comoro
time_zone
Asia/Aqtau
time_zone
America/Guayaquil
time_zone
Canada/Newfoundland
time_zone
Pacific/Chuuk
time_zone
America/Adak
time_zone
Europe/San_Marino
time_zone
Asia/Bishkek
time_zone
Asia/Hebron
time_zone
Pacific/Guadalcanal
time_zone
America/Maceio
time_zone
Australia/North
time_zone
Chile/EasterIsland
time_zone
Europe/Isle_of_Man
time_zone
Etc/GMT-10
time_zone
America/Moncton
time_zone
America/Indiana/Petersburg
time_zone
Pacific/Norfolk
time_zone
Europe/Saratov
time_zone
America/Juneau
time_zone
Europe/Vaduz
time_zone
Antarctica/Rothera
time_zone
America/Indiana/Marengo
time_zone
Africa/Kampala
time_zone
Asia/Jakarta
time_zone
America/St_Lucia
time_zone
Europe/Uzhgorod
time_zone
Europe/Chisinau
time_zone
America/La_Paz
time_zone
US/Mountain
time_zone
America/New_York
time_zone
America/Shiprock
time_zone
Asia/Irkutsk
time_zone
Asia/Kathmandu
time_zone
Brazil/West
time_zone
Asia/Yerevan
time_zone
America/Lima
time_zone
Pacific/Johnston
time_zone
Europe/Monaco
time_zone
Etc/GMT+11
time_zone
Europe/Luxembourg
time_zone
Asia/Sakhalin
time_zone
America/Ensenada
time_zone
Etc/GMT-6
time_zone
GMT
time_zone
EET
time_zone
Etc/GMT+0
time_zone
Japan
time_zone
Africa/Ouagadougou
time_zone
Asia/Damascus
time_zone
Jamaica
time_zone
ROK
time_zone
America/St_Thomas
time_zone
Europe/Brussels
time_zone
Europe/Sarajevo
time_zone
Asia/Dushanbe
time_zone
Australia/South
time_zone
Etc/GMT-4
time_zone
America/Yellowknife
time_zone
Brazil/DeNoronha
time_zone
Europe/Astrakhan
time_zone
Europe/Gibraltar
time_zone
America/Toronto
time_zone
Mexico/General
time_zone
Etc/UTC
time_zone
America/Scoresbysund
time_zone
America/Port-au-Prince
time_zone
America/Recife
time_zone
Asia/Novokuznetsk
time_zone
America/Thule
time_zone
Australia/Adelaide
time_zone
Australia/NSW
time_zone
Zulu
time_zone
Europe/Budapest
time_zone
America/Glace_Bay
time_zone
Asia/Thimbu
time_zone
Africa/Asmara
time_zone
Pacific/Tongatapu
time_zone
Egypt
time_zone
Etc/GMT-2
time_zone
Europe/Simferopol
time_zone
America/Los_Angeles
time_zone
America/Araguaina
time_zone
Europe/Istanbul
time_zone
Pacific/Samoa
time_zone
Antarctica/South_Pole
time_zone
America/Yakutat
time_zone
Hongkong
time_zone
Asia/Seoul
time_zone
Australia/Broken_Hill
time_zone
America/Paramaribo
time_zone
Asia/Khandyga
time_zone
America/Atka
time_zone
Asia/Krasnoyarsk
time_zone
America/Halifax
time_zone
America/Indiana/Winamac
time_zone
Asia/Famagusta
time_zone
Mexico/BajaNorte
time_zone
Australia/West
time_zone
Europe/Zurich
time_zone
America/Atikokan
time_zone
Asia/Vientiane
time_zone
MET
time_zone
America/Aruba
time_zone
Etc/GMT-9
time_zone
GB-Eire
time_zone
America/Grenada
time_zone
Asia/Kuwait
time_zone
Cuba
time_zone
Asia/Aden
time_zone
America/Panama
time_zone
Pacific/Kwajalein
time_zone
Asia/Dubai
time_zone
UCT
time_zone
Africa/Sao_Tome
time_zone
America/Iqaluit
time_zone
Australia/Queensland
time_zone
Africa/Nairobi
time_zone
America/Fortaleza
time_zone
Australia/Brisbane
time_zone
Asia/Magadan
time_zone
Africa/Kinshasa
time_zone
America/Indiana/Vincennes
time_zone
Europe/Volgograd
time_zone
America/Argentina/La_Rioja
time_zone
America/Indiana/Tell_City
time_zone
America/Hermosillo
time_zone
CST6CDT
time_zone
America/Creston
time_zone
America/Punta_Arenas
time_zone
Greenwich
time_zone
Australia/Lord_Howe
time_zone
America/Guyana
time_zone
America/Porto_Acre
time_zone
America/Guadeloupe
time_zone
America/Cayman
time_zone
America/Phoenix
time_zone
Asia/Omsk
time_zone
Pacific/Kosrae
time_zone
US/Aleutian
time_zone
Australia/ACT
time_zone
America/Vancouver
time_zone
Antarctica/Troll
time_zone
Africa/Monrovia
time_zone
America/Blanc-Sablon
time_zone
Africa/Asmera
time_zone
Pacific/Truk
time_zone
America/Santiago
time_zone
America/Belem
time_zone
America/Rosario
time_zone
America/Merida
time_zone
Asia/Atyrau
time_zone
Australia/Lindeman
time_zone
Africa/Freetown
time_zone
America/Louisville
time_zone
America/Puerto_Rico
time_zone
America/Nuuk
time_zone
America/Managua
time_zone
America/Asuncion
time_zone
Asia/Riyadh
time_zone
Europe/Vilnius
time_zone
America/Indiana/Vevay
time_zone
US/Eastern
time_zone
Europe/Skopje
time_zone
Asia/Tokyo
time_zone
America/St_Kitts
time_zone
Pacific/Noumea
time_zone
MST7MDT
time_zone
Chile/Continental
time_zone
Africa/Libreville
time_zone
Asia/Tel_Aviv
time_zone
Africa/Nouakchott
time_zone
America/St_Vincent
time_zone
Antarctica/McMurdo
time_zone
America/Santa_Isabel
time_zone
America/North_Dakota/Center
time_zone
Indian/Maldives
time_zone
Africa/Douala
time_zone
Asia/Chita
time_zone
Europe/Warsaw
time_zone
Europe/Nicosia
time_zone
Libya
time_zone
America/El_Salvador
time_zone
Africa/Gaborone
time_zone
Europe/Paris
time_zone
Asia/Tashkent
time_zone
America/Port_of_Spain
time_zone
Asia/Novosibirsk
time_zone
America/North_Dakota/Beulah
time_zone
Indian/Cocos
time_zone
Europe/Podgorica
time_zone
Europe/Tallinn
time_zone
America/Ojinaga
time_zone
Etc/GMT-5
time_zone
Europe/Moscow
time_zone
Asia/Srednekolymsk
time_zone
America/Belize
time_zone
America/Indiana/Indianapolis
time_zone
Europe/Malta
time_zone
Europe/Zaporozhye
time_zone
Africa/Ceuta
time_zone
Asia/Katmandu
time_zone
Asia/Yakutsk
time_zone
Africa/Luanda
time_zone
America/Indianapolis
time_zone
America/Tortola
time_zone
Etc/GMT+12
time_zone
Asia/Bangkok
time_zone
Arctic/Longyearbyen
time_zone
Etc/GMT+7
time_zone
America/Regina
time_zone
Etc/GMT+10
time_zone
Etc/GMT+9
time_zone
Europe/Jersey
time_zone
Asia/Ashkhabad
time_zone
America/Cambridge_Bay
time_zone
America/Santarem
time_zone
Asia/Kolkata
time_zone
Etc/GMT-11
time_zone
America/Antigua
time_zone
Europe/Copenhagen
time_zone
US/Hawaii
time_zone
America/Caracas
time_zone
NZ-CHAT
time_zone
Europe/Zagreb
time_zone
Pacific/Fiji
time_zone
America/Manaus
time_zone
localtime
time_zone
Brazil/East
time_zone
Europe/Prague
time_zone
Asia/Beirut
time_zone
Africa/Bissau
time_zone
Africa/Malabo
time_zone
Asia/Jayapura
time_zone
America/Fort_Nelson
time_zone
Asia/Dhaka
time_zone
Europe/Kyiv
time_zone
Asia/Tomsk
time_zone
Pacific/Auckland
time_zone
Etc/Universal
time_zone
America/Nassau
time_zone
Asia/Ujung_Pandang
time_zone
America/Nipigon
time_zone
Africa/Cairo
time_zone
Europe/Ljubljana
time_zone
America/Jamaica
time_zone
Antarctica/Mawson
time_zone
Europe/Vatican
time_zone
Asia/Chongqing
time_zone
Pacific/Wake
time_zone
America/Barbados
time_zone
America/Sitka
time_zone
Africa/El_Aaiun
time_zone
Europe/Guernsey
time_zone
Pacific/Ponape
time_zone
Antarctica/Syowa
time_zone
Asia/Brunei
time_zone
US/Arizona
time_zone
Indian/Mauritius
time_zone
Asia/Macao
time_zone
Etc/GMT+2
time_zone
Etc/GMT0
time_zone
Asia/Taipei
time_zone
Pacific/Port_Moresby
time_zone
Europe/Oslo
time_zone
Australia/Sydney
time_zone
Pacific/Kiritimati
time_zone
Asia/Barnaul
time_zone
America/Whitehorse
time_zone
Mexico/BajaSur
time_zone
Asia/Qyzylorda
time_zone
Europe/Bratislava
time_zone
Atlantic/Bermuda
time_zone
ROC
time_zone
Atlantic/St_Helena
time_zone
America/Campo_Grande
time_zone
Africa/Harare
time_zone
America/Anchorage
time_zone
Antarctica/Davis
time_zone
Etc/GMT-12
time_zone
America/Cayenne
time_zone
Asia/Istanbul
time_zone
Asia/Kamchatka
time_zone
Indian/Reunion
time_zone
Etc/GMT+1
time_zone
Europe/Lisbon
time_zone
America/Tegucigalpa
time_zone
America/Goose_Bay
time_zone
America/Dawson_Creek
time_zone
Asia/Qatar
time_zone
US/Alaska
time_zone
Antarctica/Casey
time_zone
Brazil/Acre
time_zone
America/Sao_Paulo
time_zone
Pacific/Easter
time_zone
Australia/Currie
time_zone
Africa/Addis_Ababa
time_zone
NZ
time_zone
America/Knox_IN
time_zone
America/Dominica
time_zone
PST8PDT
time_zone
America/Montevideo
time_zone
America/Curacao
time_zone
America/Chicago
time_zone
HST
time_zone
Canada/Eastern
time_zone
Asia/Kashgar
time_zone
Canada/Central
time_zone
America/Rainy_River
time_zone
Pacific/Marquesas
time_zone
Asia/Ulaanbaatar
time_zone
America/Virgin
time_zone
US/Samoa
time_zone
GMT0
time_zone
Pacific/Gambier
time_zone
Europe/Sofia
time_zone
Asia/Makassar
time_zone
America/Ciudad_Juarez
time_zone
GMT-0
time_zone
Australia/Melbourne
time_zone
Africa/Accra
time_zone
America/Fort_Wayne
time_zone
Etc/GMT+4
time_zone
Etc/GMT-13
time_zone
Africa/Bangui
time_zone
Asia/Ho_Chi_Minh
time_zone
Europe/Tiraspol
time_zone
Australia/Darwin
time_zone
Africa/Maputo
time_zone
America/North_Dakota/New_Salem
time_zone
Africa/Porto-Novo
time_zone
Europe/Tirane
time_zone
Asia/Harbin
time_zone
Atlantic/Faroe
time_zone
Asia/Hong_Kong
time_zone
Pacific/Funafuti
time_zone
Pacific/Tahiti
time_zone
Europe/Riga
time_zone
America/Kentucky/Louisville
time_zone
America/Argentina/Mendoza
time_zone
Europe/Belfast
time_zone
Pacific/Galapagos
time_zone
America/Godthab
time_zone
Asia/Vladivostok
time_zone
Asia/Qostanay
time_zone
Europe/London
time_zone
Asia/Colombo
time_zone
Asia/Choibalsan
time_zone
America/Lower_Princes
time_zone
Indian/Antananarivo
time_zone
Pacific/Nauru
time_zone
America/Santo_Domingo
time_zone
America/Mexico_City
time_zone
CET
time_zone
America/Eirunepe
time_zone
Asia/Urumqi
time_zone
Africa/Mbabane
time_zone
Pacific/Rarotonga
time_zone
Africa/Niamey
time_zone
America/Argentina/Ushuaia
time_zone
Europe/Stockholm
time_zone
Etc/UCT
time_zone
America/Cordoba
time_zone
Pacific/Honolulu
time_zone
US/Michigan
time_zone
Australia/LHI
time_zone
Turkey
time_zone
Pacific/Yap
time_zone
America/Grand_Turk
time_zone
Kwajalein
time_zone
Etc/GMT-3
time_zone
America/Boa_Vista
time_zone
Asia/Baghdad
time_zone
GB
time_zone
Europe/Kaliningrad
time_zone
Australia/Eucla
time_zone
America/Porto_Velho
time_zone
America/Cuiaba
time_zone
Singapore
time_zone
Africa/Djibouti
time_zone
Canada/Pacific
time_zone
America/Anguilla
time_zone
Europe/Ulyanovsk
time_zone
Europe/Madrid
time_zone
Indian/Chagos
time_zone
Africa/Lubumbashi
time_zone
Asia/Calcutta
time_zone
America/Argentina/ComodRivadavia
time_zone
America/Montserrat
time_zone
America/Metlakatla
time_zone
Atlantic/South_Georgia
time_zone
Atlantic/Canary
time_zone
Antarctica/DumontDUrville
time_zone
America/St_Barthelemy
time_zone
Asia/Kuala_Lumpur
time_zone
Indian/Kerguelen
time_zone
Pacific/Saipan
time_zone
Etc/GMT+3
time_zone
Asia/Pontianak
time_zone
Indian/Mayotte
time_zone
Africa/Dar_es_Salaam
time_zone
Etc/GMT+8
time_zone
Europe/Kirov
time_zone
Asia/Ashgabat
time_zone
US/Pacific
time_zone
America/Martinique
time_zone
Pacific/Efate
time_zone
Asia/Shanghai
time_zone
America/Bogota
time_zone
Asia/Tehran
time_zone
Europe/Rome
time_zone
America/Menominee
time_zone
Pacific/Chatham
time_zone
Asia/Rangoon
time_zone
Pacific/Apia
time_zone
America/Argentina/Buenos_Aires
time_zone
Europe/Samara
time_zone
Asia/Thimphu
time_zone
Asia/Kabul
time_zone
Etc/GMT-14
time_zone
Europe/Bucharest
time_zone
Etc/Zulu
time_zone
Europe/Berlin
time_zone
Africa/Timbuktu
time_zone
Atlantic/Reykjavik
time_zone
Canada/Saskatchewan
time_zone
Pacific/Pago_Pago
time_zone
America/Argentina/Tucuman
time_zone
Pacific/Kanton
time_zone
Pacific/Pitcairn
time_zone
America/Argentina/Salta
time_zone
Africa/Maseru
time_zone
Africa/Kigali
time_zone
Africa/Lome
time_zone
Europe/Kiev
time_zone
Pacific/Palau
time_zone
Europe/Mariehamn
time_zone
Australia/Victoria
time_zone
Africa/Johannesburg
time_zone
America/Rankin_Inlet
time_zone
America/Argentina/Cordoba
time_zone
Africa/Ndjamena
time_zone
Antarctica/Vostok
time_zone
Asia/Yekaterinburg
time_zone
Australia/Perth
time_zone
Asia/Kuching
time_zone
US/East-Indiana
time_zone
Iceland
time_zone
Etc/GMT-1
time_zone
America/Danmarkshavn
time_zone
America/Bahia_Banderas
time_zone
America/Detroit
time_zone
Pacific/Midway
time_zone
Australia/Yancowinna
time_zone
Atlantic/Cape_Verde
time_zone
America/Coyhaique
time_zone
Pacific/Wallis
time_zone
America/Guatemala
time_zone
Africa/Windhoek
time_zone
Asia/Nicosia
time_zone
Pacific/Pohnpei
time_zone
Africa/Tripoli
time_zone
Etc/GMT-7
time_zone
Asia/Phnom_Penh
time_zone
America/Pangnirtung
time_zone
Asia/Tbilisi
time_zone
Asia/Jerusalem
time_zone
Europe/Athens
time_zone
Africa/Blantyre
time_zone
Asia/Anadyr
time_zone
Asia/Muscat
time_zone
America/Matamoros
time_zone
America/Indiana/Knox
time_zone
UTC
time_zone
America/Thunder_Bay
time_zone
Pacific/Majuro
time_zone
America/Denver
time_zone
Asia/Chungking
time_zone
Asia/Oral
time_zone
Australia/Tasmania
time_zone
America/Bahia
time_zone
Asia/Hovd
time_zone
Asia/Baku
format
json
format
csv
sort
asc
sort
desc
Responses
Examples
Request Example
curl --request GET \
--url 'https://api.fulcradynamics.com/data/v1alpha1/metric/string/agg/15m?function=sum&start_time=2023-02-01%2000%3A00%3A00Z&end_time=2023-02-03%2000%3A00%3A00Z' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
Ingestion
POST /ingest/v1/record
Deprecated
This operation is deprecated and may be removed in a future version of the API.
ingest a fulcra data type record
Request
Request Body
{
"data" : "string" ,
"metadata" : {
"content_type" : "string" ,
"data_type" : "string" ,
"id" : "497f6eca-6276-4993-bfeb-53cbbbba6f08" ,
"recorded_at" : "2019-08-24T14:15:22Z" ,
"source" : [],
"tags" : []
},
"specversion" : 1
}
Parameters
Name
In
Type
Required
Description
body
body
DataRecordV1
true
none
Responses
Examples
Request Example
curl --request POST \
--url https://api.fulcradynamics.com/ingest/v1/record \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}' \
--header 'Content-Type: application/json' \
--data '{"data":"string","metadata":{"content_type":"string","data_type":"string","id":"497f6eca-6276-4993-bfeb-53cbbbba6f08","recorded_at":"2019-08-24T14:15:22Z","source":[],"tags":[]},"specversion":1}'
Response Example
422 Response
{
"detail" : [
{
"loc" : [
"string"
],
"msg" : "string" ,
"type" : "string"
}
]
}
POST /ingest/v1/record/{data_type}
Ingest records for a Fulcra data type. Data types can be retrieved from the /data/v1/catalog endpoint. Record schema for a data type can be retrieved from the /data/v1/catalog/{data_type}/{api_version}/schema endpoint.
Request
Request Body
Parameters
Name
In
Type
Required
Description
data_type
path
string
true
none
api_version
query
any
false
none
content-length
header
integer
true
none
body
body
object
true
none
Responses
Examples
Request Example
curl --request POST \
--url https://api.fulcradynamics.com/ingest/v1/record/string \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}' \
--header 'Content-Type: application/json' \
--header 'content-length: 0' \
--data '{}'
Response Example
201 Response
{
"upload_id" : "f2ef591b-135b-46fa-a604-3d4fda5bfbfb"
}
Files
Return a list of file upload inputs
Name
In
Type
Required
Description
path
query
string
false
none
name
query
string
false
none
state
query
array,null
false
none
include_archived
query
boolean
false
none
include_deleted
query
boolean
false
none
start_time
query
string(date-time)
false
none
end_time
query
string(date-time)
false
none
Parameter
Value
state
created
state
uploaded
state
archived
state
deleted
Examples
Request Example
curl --request GET \
--url https://api.fulcradynamics.com/input/v1/file \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
{
"files" : [
{
"archived_at" : "2019-08-24T14:15:22Z" ,
"created_at" : "2019-08-24T14:15:22Z" ,
"deleted_at" : "2019-08-24T14:15:22Z" ,
"fulcra_userid" : "string" ,
"id" : "string" ,
"last_scanned" : "2019-08-24T14:15:22Z" ,
"name" : "string" ,
"path" : "string" ,
"restored_from_id" : "string" ,
"scan_state" : "string" ,
"size" : 0 ,
"source_data_types" : [
{
"data_type" : "string" ,
"state" : "string"
}
],
"source_id" : "string" ,
"source_name" : "string" ,
"state" : "string" ,
"uploaded_at" : "2019-08-24T14:15:22Z"
}
],
"folders" : [
"string"
]
}
POST /input/v1/file
Create a file upload input
Request Body
{
"content_length" : 0 ,
"content_type" : "string" ,
"name" : "string" ,
"path" : "string"
}
Examples
Request Example
curl --request POST \
--url https://api.fulcradynamics.com/input/v1/file \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}' \
--header 'Content-Type: application/json' \
--header 'origin: string' \
--data '{"content_length":0,"content_type":"string","name":"string","path":"string"}'
Response Example
200 Response
{
"file" : {
"archived_at" : "2019-08-24T14:15:22Z" ,
"created_at" : "2019-08-24T14:15:22Z" ,
"deleted_at" : "2019-08-24T14:15:22Z" ,
"fulcra_userid" : "string" ,
"id" : "string" ,
"last_scanned" : "2019-08-24T14:15:22Z" ,
"name" : "string" ,
"path" : "string" ,
"restored_from_id" : "string" ,
"scan_state" : "string" ,
"size" : 0 ,
"source_data_types" : [
{
"data_type" : "string" ,
"state" : "string"
}
],
"source_id" : "string" ,
"source_name" : "string" ,
"state" : "string" ,
"uploaded_at" : "2019-08-24T14:15:22Z"
},
"url" : "string"
}
Return a list of recent file changes
Name
In
Type
Required
Description
start_time
query
string(date-time)
true
none
end_time
query
string(date-time)
true
none
Examples
Request Example
curl --request GET \
--url 'https://api.fulcradynamics.com/input/v1/file/recent_changes?start_time=2019-08-24T14%3A15%3A22Z&end_time=2019-08-24T14%3A15%3A22Z' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
{
"files" : [
{
"archived_at" : "2019-08-24T14:15:22Z" ,
"deleted_at" : "2019-08-24T14:15:22Z" ,
"full_name" : "string" ,
"id" : "string" ,
"last_scanned" : "2019-08-24T14:15:22Z" ,
"scan_state" : "string" ,
"size" : 0 ,
"state" : "string" ,
"uploaded_at" : "2019-08-24T14:15:22Z"
}
]
}
Delete a file upload input
Examples
Request Example
curl --request DELETE \
--url https://api.fulcradynamics.com/input/v1/file/ \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer {access-token}'
Response Example
default Response
{
"detail" : "Property foo is required but is missing." ,
"errors" : [
{
"location" : "string" ,
"message" : "string" ,
"value" : null
}
],
"instance" : "https://example.com/error-log/abc123" ,
"status" : 400 ,
"title" : "Bad Request" ,
"type" : "https://example.com/errors/example"
}
Return a file upload input
Examples
Request Example
curl --request GET \
--url https://api.fulcradynamics.com/input/v1/file/ \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
{
"archived_at" : "2019-08-24T14:15:22Z" ,
"created_at" : "2019-08-24T14:15:22Z" ,
"deleted_at" : "2019-08-24T14:15:22Z" ,
"fulcra_userid" : "string" ,
"id" : "string" ,
"last_scanned" : "2019-08-24T14:15:22Z" ,
"name" : "string" ,
"path" : "string" ,
"restored_from_id" : "string" ,
"scan_state" : "string" ,
"size" : 0 ,
"source_data_types" : [
{
"data_type" : "string" ,
"state" : "string"
}
],
"source_id" : "string" ,
"source_name" : "string" ,
"state" : "string" ,
"uploaded_at" : "2019-08-24T14:15:22Z"
}
Download a file upload input
Status
Meaning
Description
Schema
200
OK
OK
None
default
Default
Error
ErrorModel
Examples
Request Example
curl --request GET \
--url https://api.fulcradynamics.com/input/v1/file//download \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer {access-token}'
Response Example
default Response
{
"detail" : "Property foo is required but is missing." ,
"errors" : [
{
"location" : "string" ,
"message" : "string" ,
"value" : null
}
],
"instance" : "https://example.com/error-log/abc123" ,
"status" : 400 ,
"title" : "Bad Request" ,
"type" : "https://example.com/errors/example"
}
POST /input/v1/file/{input_id}/restore
Restore an archived file upload input
Examples
Request Example
curl --request POST \
--url https://api.fulcradynamics.com/input/v1/file//restore \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
{
"archived_at" : "2019-08-24T14:15:22Z" ,
"created_at" : "2019-08-24T14:15:22Z" ,
"deleted_at" : "2019-08-24T14:15:22Z" ,
"fulcra_userid" : "string" ,
"id" : "string" ,
"last_scanned" : "2019-08-24T14:15:22Z" ,
"name" : "string" ,
"path" : "string" ,
"restored_from_id" : "string" ,
"scan_state" : "string" ,
"size" : 0 ,
"source_data_types" : [
{
"data_type" : "string" ,
"state" : "string"
}
],
"source_id" : "string" ,
"source_name" : "string" ,
"state" : "string" ,
"uploaded_at" : "2019-08-24T14:15:22Z"
}
Deprecated
This operation is deprecated and may be removed in a future version of the API.
Return a list of file upload inputs
Name
In
Type
Required
Description
path
query
string
false
none
name
query
string
false
none
state
query
array,null
false
none
include_archived
query
boolean
false
none
include_deleted
query
boolean
false
none
start_time
query
string(date-time)
false
none
end_time
query
string(date-time)
false
none
Parameter
Value
state
created
state
uploaded
state
archived
state
deleted
Examples
Request Example
curl --request GET \
--url https://api.fulcradynamics.com/input/v1/file_upload \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
{
"files" : [
{
"archived_at" : "2019-08-24T14:15:22Z" ,
"created_at" : "2019-08-24T14:15:22Z" ,
"deleted_at" : "2019-08-24T14:15:22Z" ,
"fulcra_userid" : "string" ,
"id" : "string" ,
"last_scanned" : "2019-08-24T14:15:22Z" ,
"name" : "string" ,
"path" : "string" ,
"restored_from_id" : "string" ,
"scan_state" : "string" ,
"size" : 0 ,
"source_data_types" : [
{
"data_type" : "string" ,
"state" : "string"
}
],
"source_id" : "string" ,
"source_name" : "string" ,
"state" : "string" ,
"uploaded_at" : "2019-08-24T14:15:22Z"
}
],
"folders" : [
"string"
]
}
POST /input/v1/file_upload
Deprecated
This operation is deprecated and may be removed in a future version of the API.
Create a file upload input
Request Body
{
"content_length" : 0 ,
"content_type" : "string" ,
"name" : "string" ,
"path" : "string"
}
Examples
Request Example
curl --request POST \
--url https://api.fulcradynamics.com/input/v1/file_upload \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}' \
--header 'Content-Type: application/json' \
--header 'origin: string' \
--data '{"content_length":0,"content_type":"string","name":"string","path":"string"}'
Response Example
200 Response
{
"file" : {
"archived_at" : "2019-08-24T14:15:22Z" ,
"created_at" : "2019-08-24T14:15:22Z" ,
"deleted_at" : "2019-08-24T14:15:22Z" ,
"fulcra_userid" : "string" ,
"id" : "string" ,
"last_scanned" : "2019-08-24T14:15:22Z" ,
"name" : "string" ,
"path" : "string" ,
"restored_from_id" : "string" ,
"scan_state" : "string" ,
"size" : 0 ,
"source_data_types" : [
{
"data_type" : "string" ,
"state" : "string"
}
],
"source_id" : "string" ,
"source_name" : "string" ,
"state" : "string" ,
"uploaded_at" : "2019-08-24T14:15:22Z"
},
"url" : "string"
}
Deprecated
This operation is deprecated and may be removed in a future version of the API.
Return a list of recent file changes
Name
In
Type
Required
Description
start_time
query
string(date-time)
true
none
end_time
query
string(date-time)
true
none
Examples
Request Example
curl --request GET \
--url 'https://api.fulcradynamics.com/input/v1/file_upload/recent_changes?start_time=2019-08-24T14%3A15%3A22Z&end_time=2019-08-24T14%3A15%3A22Z' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
{
"files" : [
{
"archived_at" : "2019-08-24T14:15:22Z" ,
"deleted_at" : "2019-08-24T14:15:22Z" ,
"full_name" : "string" ,
"id" : "string" ,
"last_scanned" : "2019-08-24T14:15:22Z" ,
"scan_state" : "string" ,
"size" : 0 ,
"state" : "string" ,
"uploaded_at" : "2019-08-24T14:15:22Z"
}
]
}
Deprecated
This operation is deprecated and may be removed in a future version of the API.
Delete a file upload input
Examples
Request Example
curl --request DELETE \
--url https://api.fulcradynamics.com/input/v1/file_upload/ \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer {access-token}'
Response Example
default Response
{
"detail" : "Property foo is required but is missing." ,
"errors" : [
{
"location" : "string" ,
"message" : "string" ,
"value" : null
}
],
"instance" : "https://example.com/error-log/abc123" ,
"status" : 400 ,
"title" : "Bad Request" ,
"type" : "https://example.com/errors/example"
}
Deprecated
This operation is deprecated and may be removed in a future version of the API.
Return a file upload input
Examples
Request Example
curl --request GET \
--url https://api.fulcradynamics.com/input/v1/file_upload/ \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
{
"archived_at" : "2019-08-24T14:15:22Z" ,
"created_at" : "2019-08-24T14:15:22Z" ,
"deleted_at" : "2019-08-24T14:15:22Z" ,
"fulcra_userid" : "string" ,
"id" : "string" ,
"last_scanned" : "2019-08-24T14:15:22Z" ,
"name" : "string" ,
"path" : "string" ,
"restored_from_id" : "string" ,
"scan_state" : "string" ,
"size" : 0 ,
"source_data_types" : [
{
"data_type" : "string" ,
"state" : "string"
}
],
"source_id" : "string" ,
"source_name" : "string" ,
"state" : "string" ,
"uploaded_at" : "2019-08-24T14:15:22Z"
}
Deprecated
This operation is deprecated and may be removed in a future version of the API.
Download a file upload input
Status
Meaning
Description
Schema
200
OK
OK
None
default
Default
Error
ErrorModel
Examples
Request Example
curl --request GET \
--url https://api.fulcradynamics.com/input/v1/file_upload//download \
--header 'Accept: application/problem+json' \
--header 'Authorization: Bearer {access-token}'
Response Example
default Response
{
"detail" : "Property foo is required but is missing." ,
"errors" : [
{
"location" : "string" ,
"message" : "string" ,
"value" : null
}
],
"instance" : "https://example.com/error-log/abc123" ,
"status" : 400 ,
"title" : "Bad Request" ,
"type" : "https://example.com/errors/example"
}
POST /input/v1/file_upload/{input_id}/restore
Deprecated
This operation is deprecated and may be removed in a future version of the API.
Restore an archived file upload input
Examples
Request Example
curl --request POST \
--url https://api.fulcradynamics.com/input/v1/file_upload//restore \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
{
"archived_at" : "2019-08-24T14:15:22Z" ,
"created_at" : "2019-08-24T14:15:22Z" ,
"deleted_at" : "2019-08-24T14:15:22Z" ,
"fulcra_userid" : "string" ,
"id" : "string" ,
"last_scanned" : "2019-08-24T14:15:22Z" ,
"name" : "string" ,
"path" : "string" ,
"restored_from_id" : "string" ,
"scan_state" : "string" ,
"size" : 0 ,
"source_data_types" : [
{
"data_type" : "string" ,
"state" : "string"
}
],
"source_id" : "string" ,
"source_name" : "string" ,
"state" : "string" ,
"uploaded_at" : "2019-08-24T14:15:22Z"
}
Annotations
GET /user/v1alpha1/annotation
Return a list of the user's annotations
Request
Parameters
Name
In
Type
Required
Description
fulcra_userid
query
any
false
none
annotation_type
query
any
false
none
Responses
Examples
Request Example
curl --request GET \
--url https://api.fulcradynamics.com/user/v1alpha1/annotation \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
[
{
"annotation_type" : "duration" ,
"created_at" : "2019-08-24T14:15:22Z" ,
"deleted_at" : "2019-08-24T14:15:22Z" ,
"description" : "string" ,
"fulcra_source_id" : "string" ,
"fulcra_userid" : "6e1fcc12-f3a1-4884-be2b-1cd76a63afb7" ,
"id" : "497f6eca-6276-4993-bfeb-53cbbbba6f08" ,
"measurement_spec" : {
"boolean" : {
"value" : true
},
"measurement_type" : "boolean" ,
"metric_kind" : "cumulative" ,
"unit" : null ,
"value_type" : "boolean"
},
"name" : "string" ,
"spec" : {
"default_note" : "string" ,
"scale" : {
"label_mapping" : {
"mapping_type" : "string" ,
"string" : {
"mapping" : {
"property1" : "string" ,
"property2" : "string"
}
}
},
"scale_mapping" : {
"color" : {
"mapping" : {
"property1" : "string" ,
"property2" : "string"
}
},
"mapping_type" : "color"
}
}
},
"tags" : [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"updated_at" : "2019-08-24T14:15:22Z"
}
]
POST /user/v1alpha1/annotation
Create a new annotation
Request
Request Body
{
"annotation_type" : "boolean" ,
"description" : "string" ,
"measurement_spec" : {
"boolean" : {
"value" : true
},
"measurement_type" : "boolean" ,
"metric_kind" : "cumulative" ,
"unit" : null ,
"value_type" : "boolean"
},
"name" : "string" ,
"spec" : {
"default_note" : "string"
},
"tags" : [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
]
}
Parameters
Name
In
Type
Required
Description
response_class
query
any
false
none
body
body
AnnotationRoot
true
none
Responses
Examples
Request Example
curl --request POST \
--url https://api.fulcradynamics.com/user/v1alpha1/annotation \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}' \
--header 'Content-Type: application/json' \
--data '{"annotation_type":"boolean","description":"string","measurement_spec":{"boolean":{"value":true},"measurement_type":"boolean","metric_kind":"cumulative","unit":null,"value_type":"boolean"},"name":"string","spec":{"default_note":"string"},"tags":["497f6eca-6276-4993-bfeb-53cbbbba6f08"]}'
Response Example
200 Response
DELETE /user/v1alpha1/annotation/{annotation_id}
Sets the annotation status to deleted
Request
Parameters
Name
In
Type
Required
Description
annotation_id
path
string(uuid)
true
none
fulcra_userid
query
any
false
none
Responses
Examples
Request Example
curl --request DELETE \
--url https://api.fulcradynamics.com/user/v1alpha1/annotation/497f6eca-6276-4993-bfeb-53cbbbba6f08 \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
422 Response
{
"detail" : [
{
"loc" : [
"string"
],
"msg" : "string" ,
"type" : "string"
}
]
}
GET /user/v1alpha1/annotation/{annotation_id}
Return a specific annotation
Request
Parameters
Name
In
Type
Required
Description
annotation_id
path
string(uuid)
true
none
fulcra_userid
query
any
false
none
Responses
Examples
Request Example
curl --request GET \
--url https://api.fulcradynamics.com/user/v1alpha1/annotation/497f6eca-6276-4993-bfeb-53cbbbba6f08 \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
{
"annotation_type" : "duration" ,
"created_at" : "2019-08-24T14:15:22Z" ,
"deleted_at" : "2019-08-24T14:15:22Z" ,
"description" : "string" ,
"fulcra_source_id" : "string" ,
"fulcra_userid" : "6e1fcc12-f3a1-4884-be2b-1cd76a63afb7" ,
"id" : "497f6eca-6276-4993-bfeb-53cbbbba6f08" ,
"measurement_spec" : {
"boolean" : {
"value" : true
},
"measurement_type" : "boolean" ,
"metric_kind" : "cumulative" ,
"unit" : null ,
"value_type" : "boolean"
},
"name" : "string" ,
"spec" : {
"default_note" : "string" ,
"scale" : {
"label_mapping" : {
"mapping_type" : "string" ,
"string" : {
"mapping" : {
"property1" : "string" ,
"property2" : "string"
}
}
},
"scale_mapping" : {
"color" : {
"mapping" : {
"property1" : "string" ,
"property2" : "string"
}
},
"mapping_type" : "color"
}
}
},
"tags" : [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"updated_at" : "2019-08-24T14:15:22Z"
}
PUT /user/v1alpha1/annotation/{annotation_id}
Update an existing annotation
Request
Request Body
{
"annotation_type" : "boolean" ,
"description" : "string" ,
"measurement_spec" : {
"boolean" : {
"value" : true
},
"measurement_type" : "boolean" ,
"metric_kind" : "cumulative" ,
"unit" : null ,
"value_type" : "boolean"
},
"name" : "string" ,
"spec" : {
"default_note" : "string"
},
"tags" : [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
]
}
Parameters
Name
In
Type
Required
Description
annotation_id
path
string(uuid)
true
none
fulcra_userid
query
any
false
none
body
body
AnnotationRoot
true
none
Responses
Examples
Request Example
curl --request PUT \
--url https://api.fulcradynamics.com/user/v1alpha1/annotation/497f6eca-6276-4993-bfeb-53cbbbba6f08 \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}' \
--header 'Content-Type: application/json' \
--data '{"annotation_type":"boolean","description":"string","measurement_spec":{"boolean":{"value":true},"measurement_type":"boolean","metric_kind":"cumulative","unit":null,"value_type":"boolean"},"name":"string","spec":{"default_note":"string"},"tags":["497f6eca-6276-4993-bfeb-53cbbbba6f08"]}'
Response Example
422 Response
{
"detail" : [
{
"loc" : [
"string"
],
"msg" : "string" ,
"type" : "string"
}
]
}
POST /user/v1alpha1/annotation/{annotation_id}/cancel_deletion
Sets the annotation status to active
Request
Parameters
Name
In
Type
Required
Description
annotation_id
path
string(uuid)
true
none
fulcra_userid
query
any
false
none
Responses
Examples
Request Example
curl --request POST \
--url https://api.fulcradynamics.com/user/v1alpha1/annotation/497f6eca-6276-4993-bfeb-53cbbbba6f08/cancel_deletion \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
422 Response
{
"detail" : [
{
"loc" : [
"string"
],
"msg" : "string" ,
"type" : "string"
}
]
}
GET /user/v1alpha1/schema/annotation
Return the annoation model schema in JSON schema format
Responses
Examples
Request Example
curl --request GET \
--url https://api.fulcradynamics.com/user/v1alpha1/schema/annotation \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
GET /user/v1alpha1/schema/measurement
Return the measurement model schema in JSON schema format
Responses
Examples
Request Example
curl --request GET \
--url https://api.fulcradynamics.com/user/v1alpha1/schema/measurement \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
Users
GET /user/v1alpha1/info
Returns information for the authenticated Fulcra user including current preferences (time zone, calendars, etc).
Request
Parameters
Name
In
Type
Required
Description
platform
query
any
false
none
Responses
Examples
Request Example
curl --request GET \
--url https://api.fulcradynamics.com/user/v1alpha1/info \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
{
"created" : "2019-08-24T14:15:22Z" ,
"intercom_token" : "string" ,
"preferences" : {
"calendar_events_data_track_filter_map" : {
"property1" : [
"string"
],
"property2" : [
"string"
]
},
"calendars" : [
"string"
],
"location_resolution" : {
"property1" : 0 ,
"property2" : 0
},
"periods_of_day" : {
"afternoon" : "12:00:00" ,
"end_of_day" : "21:00:00" ,
"evening" : "18:00:00" ,
"morning" : "08:00:00"
},
"pinned_metrics_count_map" : {
"property1" : 0 ,
"property2" : 0
},
"selected_calendar_vendor_ids" : [
"string"
],
"selected_metrics" : [
"string"
],
"selected_metrics_map" : {
"property1" : [
"string"
],
"property2" : [
"string"
]
},
"timezone" : "string"
},
"service_status" : {
"active_until" : "2019-08-24T14:15:22Z" ,
"grace_period_ends" : "2019-08-24T14:15:22Z" ,
"is_active" : true ,
"manage_url" : "string" ,
"service_type" : "subscribed_apple"
},
"status" : "string" ,
"tier" : "string" ,
"userid" : "4c3716c4-7217-4d1b-b0ed-f18a56ef1093"
}
GET /user/v1alpha1/preferences
Return the current preferences and settings for the authenticated Fulcra user
Responses
Examples
Request Example
curl --request GET \
--url https://api.fulcradynamics.com/user/v1alpha1/preferences \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
{
"calendar_events_data_track_filter_map" : {
"property1" : [
"string"
],
"property2" : [
"string"
]
},
"calendars" : [
"string"
],
"location_resolution" : {
"property1" : 0 ,
"property2" : 0
},
"periods_of_day" : {
"afternoon" : "12:00:00" ,
"end_of_day" : "21:00:00" ,
"evening" : "18:00:00" ,
"morning" : "08:00:00"
},
"pinned_metrics_count_map" : {
"property1" : 0 ,
"property2" : 0
},
"selected_calendar_vendor_ids" : [
"string"
],
"selected_metrics" : [
"string"
],
"selected_metrics_map" : {
"property1" : [
"string"
],
"property2" : [
"string"
]
},
"timezone" : "string"
}
POST /user/v1alpha1/preferences
Set current preferences for the authenticated Fulcra user
Request
Request Body
{
"calendar_events_data_track_filter_map" : {
"property1" : [
"string"
],
"property2" : [
"string"
]
},
"calendars" : [
"string"
],
"location_resolution" : {
"property1" : 0 ,
"property2" : 0
},
"periods_of_day" : {
"afternoon" : "12:00:00" ,
"end_of_day" : "21:00:00" ,
"evening" : "18:00:00" ,
"morning" : "08:00:00"
},
"pinned_metrics_count_map" : {
"property1" : 0 ,
"property2" : 0
},
"selected_calendar_vendor_ids" : [
"string"
],
"selected_metrics" : [
"string"
],
"selected_metrics_map" : {
"property1" : [
"string"
],
"property2" : [
"string"
]
},
"timezone" : "string"
}
Parameters
Responses
Examples
Request Example
curl --request POST \
--url https://api.fulcradynamics.com/user/v1alpha1/preferences \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}' \
--header 'Content-Type: application/json' \
--data '{"calendar_events_data_track_filter_map":{"property1":["string"],"property2":["string"]},"calendars":["string"],"location_resolution":{"property1":0,"property2":0},"periods_of_day":{"afternoon":"12:00:00","end_of_day":"21:00:00","evening":"18:00:00","morning":"08:00:00"},"pinned_metrics_count_map":{"property1":0,"property2":0},"selected_calendar_vendor_ids":["string"],"selected_metrics":["string"],"selected_metrics_map":{"property1":["string"],"property2":["string"]},"timezone":"string"}'
Response Example
200 Response
{
"calendar_events_data_track_filter_map" : {
"property1" : [
"string"
],
"property2" : [
"string"
]
},
"calendars" : [
"string"
],
"location_resolution" : {
"property1" : 0 ,
"property2" : 0
},
"periods_of_day" : {
"afternoon" : "12:00:00" ,
"end_of_day" : "21:00:00" ,
"evening" : "18:00:00" ,
"morning" : "08:00:00"
},
"pinned_metrics_count_map" : {
"property1" : 0 ,
"property2" : 0
},
"selected_calendar_vendor_ids" : [
"string"
],
"selected_metrics" : [
"string"
],
"selected_metrics_map" : {
"property1" : [
"string"
],
"property2" : [
"string"
]
},
"timezone" : "string"
}
GET /user/v1alpha1/tag
Return a collection of a Fulcra User's configured tags
Examples
Request Example
curl --request GET \
--url https://api.fulcradynamics.com/user/v1alpha1/tag \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
[
{
"id" : "497f6eca-6276-4993-bfeb-53cbbbba6f08" ,
"name" : "string"
}
]
POST /user/v1alpha1/tag
Create a new tag for a Fulcra User
Request
Request Body
Parameters
Responses
Examples
Request Example
curl --request POST \
--url https://api.fulcradynamics.com/user/v1alpha1/tag \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}' \
--header 'Content-Type: application/json' \
--data '{"name":"string"}'
Response Example
422 Response
{
"detail" : [
{
"loc" : [
"string"
],
"msg" : "string" ,
"type" : "string"
}
]
}
DELETE /user/v1alpha1/tag/id/{tag_id}
Deletes a tag
Request
Parameters
Name
In
Type
Required
Description
tag_id
path
string(uuid)
true
none
Responses
Examples
Request Example
curl --request DELETE \
--url https://api.fulcradynamics.com/user/v1alpha1/tag/id/497f6eca-6276-4993-bfeb-53cbbbba6f08 \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
422 Response
{
"detail" : [
{
"loc" : [
"string"
],
"msg" : "string" ,
"type" : "string"
}
]
}
GET /user/v1alpha1/tag/id/{tag_id}
Returns information on a Fulcra User's configured tag by tag ID
Request
Parameters
Name
In
Type
Required
Description
tag_id
path
string(uuid)
true
none
Responses
Examples
Request Example
curl --request GET \
--url https://api.fulcradynamics.com/user/v1alpha1/tag/id/497f6eca-6276-4993-bfeb-53cbbbba6f08 \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
{
"id" : "497f6eca-6276-4993-bfeb-53cbbbba6f08" ,
"name" : "string"
}
Returns information on a Fulcra User's configured tag by tag name
Request
Parameters
Name
In
Type
Required
Description
tag_name
path
string
true
none
Responses
Examples
Request Example
curl --request GET \
--url https://api.fulcradynamics.com/user/v1alpha1/tag/name/string \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
Response Example
200 Response
{
"id" : "497f6eca-6276-4993-bfeb-53cbbbba6f08" ,
"name" : "string"
}
Schemas
AggregateFunction
AggregateFunction
Properties
Name
Type
Required
Restrictions
Description
AggregateFunction
string
false
none
none
Enumerated Values
Property
Value
AggregateFunction
sum
AggregateFunction
avg
AggregateFunction
min
AggregateFunction
max
AggregateResolution
AggregateResolution
Properties
Name
Type
Required
Restrictions
Description
AggregateResolution
string
false
none
none
Enumerated Values
Property
Value
AggregateResolution
15m
AggregateResolution
60m
AggregateResolution
day
AnnotationRoot
{
"annotation_type" : "boolean" ,
"description" : "string" ,
"measurement_spec" : {
"boolean" : {
"value" : true
},
"measurement_type" : "boolean" ,
"metric_kind" : "cumulative" ,
"unit" : null ,
"value_type" : "boolean"
},
"name" : "string" ,
"spec" : {
"default_note" : "string"
},
"tags" : [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
]
}
AnnotationRoot
Properties
Name
Type
Required
Restrictions
Description
AnnotationRoot
any
false
none
none
oneOf
Name
Type
Required
Restrictions
Description
anonymous
BooleanAnnotation
false
none
Represents an annotation with a yes or no measurement
xor
Name
Type
Required
Restrictions
Description
anonymous
DurationAnnotation
false
none
Represents an annotation with a time interval measurement
xor
Name
Type
Required
Restrictions
Description
anonymous
MomentAnnotation
false
none
Represents an annotation with no measurement
xor
Name
Type
Required
Restrictions
Description
anonymous
NumericAnnotation
false
none
Represents an annotation with a quantitative property measurement
xor
Name
Type
Required
Restrictions
Description
anonymous
PeopleAnnotation
false
none
Represents an annotation recording contact with other people
xor
Name
Type
Required
Restrictions
Description
anonymous
ScaleAnnotation
false
none
Represents an annotation with a fixed scale measurement and customizable display
AnnotationRow
{
"annotation_type" : "duration" ,
"created_at" : "2019-08-24T14:15:22Z" ,
"deleted_at" : "2019-08-24T14:15:22Z" ,
"description" : "string" ,
"fulcra_source_id" : "string" ,
"fulcra_userid" : "6e1fcc12-f3a1-4884-be2b-1cd76a63afb7" ,
"id" : "497f6eca-6276-4993-bfeb-53cbbbba6f08" ,
"measurement_spec" : {
"boolean" : {
"value" : true
},
"measurement_type" : "boolean" ,
"metric_kind" : "cumulative" ,
"unit" : null ,
"value_type" : "boolean"
},
"name" : "string" ,
"spec" : {
"default_note" : "string" ,
"scale" : {
"label_mapping" : {
"mapping_type" : "string" ,
"string" : {
"mapping" : {
"property1" : "string" ,
"property2" : "string"
}
}
},
"scale_mapping" : {
"color" : {
"mapping" : {
"property1" : "string" ,
"property2" : "string"
}
},
"mapping_type" : "color"
}
}
},
"tags" : [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"updated_at" : "2019-08-24T14:15:22Z"
}
AnnotationRow
Properties
Name
Type
Required
Restrictions
Description
annotation_type
AnnotationType
true
none
Annotation type
created_at
string(date-time)
true
none
none
deleted_at
any
false
none
none
anyOf
Name
Type
Required
Restrictions
Description
» anonymous
string(date-time)
false
none
none
or
Name
Type
Required
Restrictions
Description
» anonymous
null
false
none
none
continued
Name
Type
Required
Restrictions
Description
description
string
true
none
Description
fulcra_source_id
string
true
read-only
none
fulcra_userid
string(uuid)
true
none
none
id
string(uuid)
true
none
none
measurement_spec
any
false
none
Measurement spec
anyOf - discriminator: measurement_type
Name
Type
Required
Restrictions
Description
» anonymous
any
false
none
none
oneOf
Name
Type
Required
Restrictions
Description
»» anonymous
BooleanMeasurement
false
none
Represents a yes or no measurement configuration
xor
Name
Type
Required
Restrictions
Description
»» anonymous
CountMeasurement
false
none
Represents a count measurement configuration
xor
Name
Type
Required
Restrictions
Description
»» anonymous
CustomMeasurement
false
none
Represents a custom non-convertable measurement configuration
xor
Name
Type
Required
Restrictions
Description
»» anonymous
DistanceMeasurement
false
none
Represents a distance or length measurement configuration
xor
Name
Type
Required
Restrictions
Description
»» anonymous
DurationMeasurement
false
none
Represents a time duration measurement configuration
xor
Name
Type
Required
Restrictions
Description
»» anonymous
MassMeasurement
false
none
Represents a mass measurement configuration and may be inferred from weight
xor
Name
Type
Required
Restrictions
Description
»» anonymous
PercentMeasurement
false
none
Represents a percentage measurement configuration
xor
Name
Type
Required
Restrictions
Description
»» anonymous
PeriodMeasurement
false
none
Represents a time period measurement configuration
xor
Name
Type
Required
Restrictions
Description
»» anonymous
ScaleMeasurement
false
none
Represents a discrete scale measurement configuration with minimum and maximum values
xor
Name
Type
Required
Restrictions
Description
»» anonymous
TemperatureMeasurement
false
none
Represents a temperature measurement configuration
xor
Name
Type
Required
Restrictions
Description
»» anonymous
VolumeMeasurement
false
none
Represents a physical volume measurement configuration
or
Name
Type
Required
Restrictions
Description
» anonymous
null
false
none
none
continued
Name
Type
Required
Restrictions
Description
name
string
true
none
Name
spec
any
false
none
Type-specific spec
anyOf
or
or
Name
Type
Required
Restrictions
Description
» anonymous
null
false
none
none
continued
Name
Type
Required
Restrictions
Description
tags
[string]
true
none
Default tags
updated_at
string(date-time)
true
none
none
AnnotationSpecContainer
{
"default_note" : "string"
}
AnnotationSpecContainer
Properties
Name
Type
Required
Restrictions
Description
default_note
any
false
none
Default note text, if any
anyOf
Name
Type
Required
Restrictions
Description
» anonymous
string
false
none
none
or
Name
Type
Required
Restrictions
Description
» anonymous
null
false
none
none
AnnotationType
AnnotationType
Properties
Name
Type
Required
Restrictions
Description
AnnotationType
string
false
none
Represents the base type of an annotation
Enumerated Values
Property
Value
AnnotationType
duration
AnnotationType
moment
AnnotationType
numeric
AnnotationType
people
AnnotationType
scale
AnnotationType
boolean
BooleanAnnotation
{
"annotation_type" : "boolean" ,
"description" : "string" ,
"measurement_spec" : {
"boolean" : {
"value" : true
},
"measurement_type" : "boolean" ,
"metric_kind" : "cumulative" ,
"unit" : null ,
"value_type" : "boolean"
},
"name" : "string" ,
"spec" : {
"default_note" : "string"
},
"tags" : [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
]
}
BooleanAnnotation
Properties
Name
Type
Required
Restrictions
Description
annotation_type
string
false
none
none
description
string
true
none
Description
measurement_spec
BooleanMeasurement
true
none
Represents a yes or no measurement configuration
name
string
true
none
Name
spec
any
false
none
none
anyOf
or
Name
Type
Required
Restrictions
Description
» anonymous
null
false
none
none
continued
Name
Type
Required
Restrictions
Description
tags
[string]
true
none
Default tags
BooleanMeasurement
{
"boolean" : {
"value" : true
},
"measurement_type" : "boolean" ,
"metric_kind" : "cumulative" ,
"unit" : null ,
"value_type" : "boolean"
}
BooleanMeasurement
Properties
Name
Type
Required
Restrictions
Description
boolean
BooleanMeasurementSpec
true
none
none
measurement_type
string
false
none
none
metric_kind
MetricKind
false
none
How the measurement should be aggregated
unit
null
false
none
none
value_type
string
false
none
none
BooleanMeasurementSpec
BooleanMeasurementSpec
Properties
Name
Type
Required
Restrictions
Description
value
any
false
none
Default value
anyOf
Name
Type
Required
Restrictions
Description
» anonymous
boolean
false
none
none
or
Name
Type
Required
Restrictions
Description
» anonymous
null
false
none
none
BoundsResponse
{
"end_date" : "2019-08-24T14:15:22Z" ,
"start_date" : "2019-08-24T14:15:22Z"
}
BoundsResponse
Properties
Name
Type
Required
Restrictions
Description
end_date
[...]
